summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2018-03-11 19:22:26 +0000
committerV3n3RiX <venerix@redcorelinux.org>2018-03-11 19:22:26 +0000
commit011dfdc160c2f1c19d90746032e269dfb98f5831 (patch)
tree4dea55923e31b4c39307effca770c367ba1d04b7 /eclass
parent3ee945ceadf128884ff340e4088879c756136ebd (diff)
cleanup unused eclasses
Diffstat (limited to 'eclass')
-rw-r--r--eclass/R-packages.eclass50
-rw-r--r--eclass/compat-drivers-3.7.eclass543
-rw-r--r--eclass/compat-drivers-3.8-r1.eclass104
-rw-r--r--eclass/compat-drivers-3.8.eclass560
-rw-r--r--eclass/kde-l10n.eclass32
-rw-r--r--eclass/kog-patches.eclass171
-rw-r--r--eclass/libreoffice-l10n-2.eclass153
-rw-r--r--eclass/libreoffice-l10n.eclass124
-rw-r--r--eclass/mozconfig-v6.38.eclass239
-rw-r--r--eclass/openoffice-l10n.eclass68
-rw-r--r--eclass/spl-zfs-kernel.eclass183
-rw-r--r--eclass/spl-zfs-userspace.eclass218
-rw-r--r--eclass/webapp.eclass575
13 files changed, 0 insertions, 3020 deletions
diff --git a/eclass/R-packages.eclass b/eclass/R-packages.eclass
deleted file mode 100644
index 8544e70c..00000000
--- a/eclass/R-packages.eclass
+++ /dev/null
@@ -1,50 +0,0 @@
-# Copyright 1999-2012 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-
-inherit eutils
-
-EXPORT_FUNCTIONS src_unpack src_prepare src_compile src_install pkg_postinst
-
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="byte-compile"
-
-DEPEND="dev-lang/R"
-RDEPEND="${DEPEND}"
-
-S="${WORKDIR}"
-
-R-packages_src_unpack() {
- unpack ${A}
- mv ${PN//_/.} ${P}
-}
-
-R-packages_src_prepare() {
- cd ${P}
- epatch_user
-}
-
-R-packages_src_compile() {
- MAKEFLAGS="CFLAGS=${CFLAGS// /\\ } CXXFLAGS=${CXXFLAGS// /\\ } FFLAGS=${FFLAGS// /\\ } FCFLAGS=${FCFLAGS// /\\ } LDFLAGS=${LDFLAGS// /\\ }" \
- R CMD INSTALL ${S}/${P} -l . $(use byte-compile && echo "--byte-compile")
-}
-
-R-packages_src_install() {
- insinto /usr/$(get_libdir)/R/site-library
- doins -r ${PN//_/.}
-}
-
-R-packages_pkg_postinst() {
- if [[ "${_UNRESOLVABLE_PACKAGES:-}" ]]; then
- # _UNRESOLVABLE_PACKAGES is only set if it has more than zero items
- local _max=${#_UNRESOLVABLE_PACKAGES[*]} i=
-
- einfo "Dependency(-ies):"
- for (( i=0; i<${_max}; i++ )); do
- einfo "- ${_UNRESOLVABLE_PACKAGES[$i]}"
- done
- einfo 'are (is) suggested by upstream but could not be found.'
- einfo 'Please install it manually from the R interpreter if you need it.'
- fi
-}
diff --git a/eclass/compat-drivers-3.7.eclass b/eclass/compat-drivers-3.7.eclass
deleted file mode 100644
index 58bcee62..00000000
--- a/eclass/compat-drivers-3.7.eclass
+++ /dev/null
@@ -1,543 +0,0 @@
-# Copyright 1999-2013 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-
-
-# @ECLASS: compat-drivers-3.7.eclass
-# @MAINTAINER:
-# wuodan@pentoo.ch
-# @BLURB: Implements functionality of driver-select script for several modules
-# @DESCRIPTION:
-# Implements functionality of driver-select script for several modules
-
-# compose IUSE and REQUIRED_USE from the categories
-IUSE+=" +build-all-modules"
-REQUIRED_USE+=" || ("
-for useexp in ${CPD_USE_EXPAND}; do
- USE_TEMP="\$CPD_USE_EXPAND_$useexp"
- for iuse in `eval echo "\$USE_TEMP"`; do
- if [ "${iuse:0:1}" = '+' ]; then
- IUSE+=" ${iuse:0:1}compat_drivers_${useexp}_${iuse:1}" || die
- REQUIRED_USE+=" compat_drivers_${useexp}_${iuse:1}" || die
- else
- IUSE+=" compat_drivers_${useexp}_${iuse}" || die
- REQUIRED_USE+=" compat_drivers_${useexp}_${iuse} build-all-modules" || die
- fi
- done
-done
-REQUIRED_USE+=" )"
-
-# ==============================================================================
-# INTERNAL VARIABLES
-# ==============================================================================
-
-# @VARIABLE: CPD_USE_EXPAND
-# @DESCRIPTION:
-# This variable needs to be set in the ebuild and contains the categories for
-# USE_EXPAND
-
-# @VARIABLE: CPD_USE_EXPAND_category
-# @DESCRIPTION:
-# These variables need to be set in the ebuild, one per category in
-# CPD_USE_EXPAND. They contain the modules of the categories.
-
-# @ECLASS-VARIABLE: CPD_MODULE
-# @DESCRIPTION:
-# This internal variable contains a temporary value, the currently processed
-# module.
-
-# @ECLASS-VARIABLE: CPD_DISABLE_${CPD_MODULE}
-# @DESCRIPTION:
-# These internal variables contains values, the 'disable-actions' of the
-# currently processed module. One variable exists for each active module.
-
-# @ECLASS-VARIABLE: CPD_MAKEFILES
-# @DESCRIPTION:
-# This internal variable contains a list of all 'Makefile's
-CPD_MAKEFILES="
- MAKEFILE
- COMPAT_CONFIG_CW
- DRIVERS_MAKEFILE
- ATH_MAKEFILE
- ATH9K_MAKEFILE
- BRCM80211_MAKEFILE
- RT2X00_MAKEFILE
- TI_MAKEFILE
- NET_WIRELESS_MAKEFILE
- EEPROM_MAKEFILE
- DRIVERS_NET_ATHEROS
- DRIVERS_NET_BROADCOM
- DRIVERS_NET_USB_MAKEFILE
- SSB_MAKEFILE
- BCMA_MAKEFILE"
-
-# @ECLASS-VARIABLE: CPD_MAKEFILES_ARRAY
-# @DESCRIPTION:
-# This internal variable contains an array with paths to all files
-CPD_MAKEFILES_ARRAY=(
- MAKEFILE=Makefile
- COMPAT_CONFIG_CW=config.mk
- DRIVERS_MAKEFILE=drivers/net/wireless/Makefile
- ATH_MAKEFILE=drivers/net/wireless/ath/Makefile
- ATH9K_MAKEFILE=drivers/net/wireless/ath/ath9k/Makefile
- BRCM80211_MAKEFILE=drivers/net/wireless/brcm80211/Makefile
- RT2X00_MAKEFILE=drivers/net/wireless/rt2x00/Makefile
- TI_MAKEFILE=drivers/net/wireless/ti/Makefile
- NET_WIRELESS_MAKEFILE=net/wireless/Makefile
- EEPROM_MAKEFILE=drivers/misc/eeprom/Makefile
- DRIVERS_NET_ATHEROS=drivers/net/ethernet/atheros/Makefile
- DRIVERS_NET_BROADCOM=drivers/net/ethernet/broadcom/Makefile
- DRIVERS_NET_USB_MAKEFILE=drivers/net/usb/Makefile
- SSB_MAKEFILE=drivers/ssb/Makefile
- BCMA_MAKEFILE=drivers/bcma/Makefile
-)
-
-# ==============================================================================
-# INTERNAL FUNCTIONS
-# ==============================================================================
-
-# @FUNCTION: get_makefile
-# @DESCRIPTION:
-# This internal function returns the path to a file from CPD_MAKEFILES_ARRAY
-function get_makefile {
- for file in "${CPD_MAKEFILES_ARRAY[@]}"; do
- if [ "${file%%=*}" = "${1}" ]; then
- echo "${file#*=}"
- return 0
- fi
- done
- die "Not found"
-}
-
-# @FUNCTION: select_drivers_from_makefile
-# @DESCRIPTION:
-# This internal function filters a Makefile
-# It deletes all non matching lines!
-function select_drivers_from_makefile
-{
- local makefile=$(get_makefile "$1")
- shift
- local configs=""
- for i in $@; do
- [ "${configs}" != '' ] && configs+='|'
- configs+="${i}"
- done
- einfo "Filtering file ${makefile} for: ${configs}"
- sed -r "/${configs}/!d" ${makefile} > ${makefile}.tmp || die
- mv ${makefile}.tmp ${makefile} || die
-}
-
-# @FUNCTION: disable
-# @DESCRIPTION:
-# This internal function registers a 'disable' action for a module.
-# It writes to a variable CPD_DISABLE_${CPD_MODULE}
-function disable {
- eval "CPD_DISABLE_${CPD_MODULE}+=\" ${*}\"" || die
-}
-
-# @FUNCTION: disable_makefile
-# @DESCRIPTION:
-# This internal function clears a Makefile completely. Use with care!
-function disable_makefile {
- einfo "Clearing entire file: ${1}"
- echo > $1 || die
-}
-
-# @FUNCTION: disable_staging
-# @DESCRIPTION:
-# This internal function disables "staging"
-function disable_staging
-{
- # perl -i -ne 'print if ! /CONFIG_COMPAT_STAGING/ ' "${MAKEFILE}"
- sed -i '/CONFIG_COMPAT_STAGING/d' "$(get_makefile MAKEFILE)" || die
-}
-
-# @FUNCTION: disable_update-initramfs
-# @DESCRIPTION:
-# This internal function disables "update-initramfs"
-function disable_update-initramfs
-{
- # perl -i -ne 'print if ! /update-initramfs/' "${MAKEFILE}"
- sed -i '/update-initramfs/d' "$(get_makefile MAKEFILE)" || die
-}
-
-# @FUNCTION: disable_lib80211
-# @DESCRIPTION:
-# This internal function disables "update-initramfs"
-function disable_lib80211
-{
- # perl -i -ne 'print if ! /LIB80211/ ' $NET_WIRELESS_MAKEFILE
- sed -i '/LIB80211/d' "$(get_makefile NET_WIRELESS_MAKEFILE)" || die
-}
-
-# @FUNCTION: disable_b44
-# @DESCRIPTION:
-# This internal function disables "b44"
-function disable_b44 {
- # perl -i -ne 'print if ! /CONFIG_B44/ ' $DRIVERS_NET_BROADCOM
- sed -i '/CONFIG_B44/d' "$(get_makefile DRIVERS_NET_BROADCOM)" || die
-}
-
-# @FUNCTION: disable_ssb
-# @DESCRIPTION:
-# This internal function disables "ssb"
-function disable_ssb
-{
- disable_makefile "$(get_makefile ${SSB_MAKEFILE})"
- # perl -i -ne 'print if ! /drivers\/ssb\//' "${MAKEFILE}"
- sed -i '/drivers\/ssb\//d' "$(get_makefile MAKEFILE)" || die
-}
-
-# @FUNCTION: disable_bcma
-# @DESCRIPTION:
-# This internal function disables "bcma"
-function disable_bcma
-{
- disable_makefile "$(get_makefile ${BCMA_MAKEFILE})"
- # perl -i -ne 'print if ! /drivers\/bcma\//' "${MAKEFILE}"
- sed -i '/drivers\/bcma\//d' "$(get_makefile MAKEFILE)" || die
-}
-
-# @FUNCTION: disable_rfkill
-# @DESCRIPTION:
-# This internal function disables "rfkill"
-function disable_rfkill
-{
- # perl -i -ne 'print if ! /CONFIG_COMPAT_RFKILL/' "${MAKEFILE}"
- sed -i '/CONFIG_COMPAT_RFKILL/d' "$(get_makefile MAKEFILE)" || die
-}
-
-# @FUNCTION: disable_eprom
-# @DESCRIPTION:
-# This internal function disables "eprom"
-function disable_eeprom
-{
- disable_makefile "$(get_makefile ${EEPROM_MAKEFILE})" || die
- # perl -i -ne 'print if ! /drivers\/misc\/eeprom\//' "${MAKEFILE}"
- sed -i '/drivers\/misc\/eeprom\//d' "$(get_makefile MAKEFILE)" || die
-}
-
-# @FUNCTION: disable_usbnet
-# @DESCRIPTION:
-# This internal function disables "usbnet"
-function disable_usbnet
-{
- disable_makefile ${DRIVERS_NET_USB_MAKEFILE} || die
- # perl -i -ne 'print if ! /drivers\/net\/usb\//' "${MAKEFILE}"
- sed -i '/drivers\/net\/usb\//d' "$(get_makefile MAKEFILE)" || die
-}
-
-# @FUNCTION: disable_usbnet
-# @DESCRIPTION:
-# This internal function disables "usbnet"
-# this function is twice in driver-select script!?!
-function disable_usbnet {
- # perl -i -ne 'print if ! /CONFIG_COMPAT_NET_USB_MODULES/' "${MAKEFILE}"
- sed -i '/CONFIG_COMPAT_NET_USB_MODULES/d' "$(get_makefile MAKEFILE)" || die
-}
-
-# @FUNCTION: disable_ethernet
-# @DESCRIPTION:
-# This internal function disables "ethernet"
-function disable_ethernet {
- # perl -i -ne 'print if ! /CONFIG_COMPAT_NETWORK_MODULES/' "${MAKEFILE}"
- sed -i '/CONFIG_COMPAT_NETWORK_MODULES/d' "$(get_makefile MAKEFILE)" || die
-}
-
-# @FUNCTION: disable_var_03
-# @DESCRIPTION:
-# This internal function disables "var_03"
-function disable_var_03 {
- # perl -i -ne 'print if ! /CONFIG_COMPAT_VAR_MODULES/' "${MAKEFILE}"
- sed -i '/CONFIG_COMPAT_VAR_MODULES/d' "$(get_makefile MAKEFILE)" || die
-}
-
-# @FUNCTION: disable_bt
-# @DESCRIPTION:
-# This internal function disables "bt"
-function disable_bt {
- # perl -i -ne 'print if ! /CONFIG_COMPAT_BLUETOOTH/' "${MAKEFILE}"
- sed -i '/CONFIG_COMPAT_BLUETOOTH/d' "$(get_makefile MAKEFILE)" || die
-}
-
-# @FUNCTION: disable_80211
-# @DESCRIPTION:
-# This internal function disables "80211"
-function disable_80211 {
- # perl -i -ne 'print if ! /CONFIG_COMPAT_WIRELESS/' "${MAKEFILE}"
- sed -i '/CONFIG_COMPAT_WIRELESS/d' "$(get_makefile MAKEFILE)" || die
-}
-
-# @FUNCTION: disable_ath9k_rate_control
-# @DESCRIPTION:
-# This internal function disables "ath9k_rate_control"
-# new function, not in driver-select
-function disable_ath9k_rate_control {
- # perl -i -ne 'print if ! /CONFIG_COMPAT_ATH9K_RATE_CONTROL/ ' $COMPAT_CONFIG_CW
- sed -i '/CONFIG_COMPAT_ATH9K_RATE_CONTROL/d' "$(get_makefile COMPAT_CONFIG_CW)" || die
-}
-
-# @FUNCTION: select_drivers
-# @DESCRIPTION:
-# This internal function registers filters for the drivers Makefile
-function select_drivers {
- eval "CPD_DRIVERS_MAKEFILE+=\" ${*}\"" || die
-}
-
-# @FUNCTION: select_ath_driver
-# @DESCRIPTION:
-# This internal function registers filters for the ath Makefile
-function select_ath_driver {
- eval "CPD_ATH_MAKEFILE+=\" ${*}\"" || die
-}
-
-# @FUNCTION: select_ath_driver_common
-# @DESCRIPTION:
-# This internal function registers common filters for the ath Makefile
-function select_ath_driver_common {
- # eval "CPD_ATH_MAKEFILE+=\" CONFIG_ATH_ ath-objs regd.o hw.o\"" || die
- select_ath_driver CONFIG_ATH_ ath-objs regd.o hw.o key.o || die
-}
-
-# @FUNCTION: select_brcm80211_driver
-# @DESCRIPTION:
-# This internal function registers filters for the brcm80211 Makefile
-function select_brcm80211_driver {
- eval "CPD_BRCM80211_MAKEFILE+=\" ${*}\"" || die
-}
-
-# @FUNCTION: select_ti_driver
-# @DESCRIPTION:
-# This internal function registers filters for the ti Makefile
-function select_ti_drivers {
- select_drivers CONFIG_WL_TI
- eval "CPD_TI_MAKEFILE+=\" ${*}\"" || die
-}
-
-# @FUNCTION: set_flag
-# @DESCRIPTION:
-# This internal function contains the configuration for each flag/module
-function set_flag {
- # clear/set global vars
- CPD_MODULE=$1
- case $1 in
- ath5k)
- disable staging usbnet ethernet bt update-initramfs var_03 || die
- select_drivers CONFIG_ATH_COMMON || die
- select_ath_driver CONFIG_ATH5K || die
- select_ath_driver_common || die
- ;;
- ath9k)
- disable staging usbnet ethernet bt update-initramfs var_03 || die
- select_drivers CONFIG_ATH_COMMON || die
- select_ath_driver CONFIG_ATH9K_HW || die
- select_ath_driver_common || die
- ;;
- ath9k_ap)
- disable staging usbnet ethernet bt update-initramfs var_03 || die
- select_drivers CONFIG_ATH_COMMON || die
- select_ath_driver CONFIG_ATH9K_HW || die
- select_ath_driver_common || die
- disable ath9k_rate_control || die
- ;;
- carl9170)
- disable staging usbnet ethernet bt update-initramfs var_03 || die
- select_drivers CONFIG_ATH_COMMON || die
- select_ath_driver CONFIG_CARL9170 || die
- select_ath_driver_common || die
- ;;
- ath9k_htc)
- disable staging usbnet ethernet bt update-initramfs var_03 || die
- select_drivers CONFIG_ATH_COMMON || die
- select_ath_driver CONFIG_ATH9K_HW || die
- select_ath_driver_common || die
- ;;
- ath6kl)
- disable staging usbnet ethernet bt update-initramfs var_03 || die
- select_drivers CONFIG_ATH_COMMON || die
- select_ath_driver CONFIG_ATH6KL || die
- select_ath_driver_common || die
- ;;
- brcmsmac)
- disable staging usbnet ethernet bt update-initramfs var_03 || die
- select_drivers CONFIG_BRCMSMAC || die
- select_brcm80211_driver CONFIG_BRCMSMAC CONFIG_BRCMUTIL || die
- ;;
- brcmfmac)
- disable staging usbnet ethernet bt update-initramfs var_03 || die
- select_drivers CONFIG_BRCMFMAC || die
- select_brcm80211_driver CONFIG_BRCMSMAC CONFIG_BRCMUTIL || die
- ;;
- zd1211rw)
- select_drivers CONFIG_COMPAT_ZD1211RW || die
- disable staging lib80211 ssb bcma usbnet eeprom update-initramfs || die
- ;;
- b43)
- disable staging usbnet ethernet bt update-initramfs || die
- disable eeprom lib80211 || die
- select_drivers CONFIG_B43 || die
- ;;
- rt2x00)
- select_drivers CONFIG_RT2X00 || die
- disable staging usbnet ethernet bt update-initramfs || die
- disable lib80211 ssb bcma usbnet update-initramfs || die
- ;;
- wl1251)
- select_ti_drivers CONFIG_WL1251 || die
- disable staging lib80211 ssb bcma usbnet eeprom update-initramfs || die
- ;;
- wl12xx)
- select_ti_drivers CONFIG_WL12XX || die
- disable staging lib80211 ssb bcma usbnet eeprom update-initramfs || die
- ;;
- wl18xx)
- select_ti_drivers CONFIG_WL18XX || die
- disable staging lib80211 ssb bcma usbnet eeprom update-initramfs || die
- ;;
- # Ethernet and Bluetooth drivers
- atl1)
- disable staging usbnet var_03 bt rfkill 80211 b44 || die
- echo -e "obj-\$(CONFIG_ATL1) += atlx/" > "$(get_makefile DRIVERS_NET_ATHEROS)" || die
- ;;
- atl2)
- disable staging usbnet var_03 bt rfkill 80211 b44 || die
- echo -e "obj-\$(CONFIG_ATL2) += atlx/" > "$(get_makefile DRIVERS_NET_ATHEROS)" || die
- ;;
- atl1e)
- disable staging usbnet var_03 bt rfkill 80211 b44 || die
- echo -e "obj-\$(CONFIG_ATL1E) += atl1e/" > "$(get_makefile DRIVERS_NET_ATHEROS)" || die
- ;;
- atl1c)
- disable staging usbnet var_03 bt rfkill 80211 b44 || die
- echo -e "obj-\$(CONFIG_ATL1C) += atl1c/" > "$(get_makefile DRIVERS_NET_ATHEROS)" || die
- ;;
- atlxx)
- select_drivers CONFIG_ATL1 CONFIG_ATL2 CONFIG_ATL1E CONFIG_ALX || die
- disable staging usbnet var_03 bt rfkill 80211 b44 update-initramfs || die
- ;;
- bt)
- select_drivers CONFIG_BT || die
- disable ssb bcma usbnet eeprom update-initramfs ethernet staging 80211 || die
- ;;
- i915)
- # rfkill may be needed if you enable b44 as you may have b43
- disable ethernet staging usbnet var_03 bt rfkill 80211 || die
- ;;
- drm)
- # rfkill may be needed if you enable b44 as you may have b43
- disable ethernet staging usbnet var_03 bt rfkill 80211 || die
- ;;
- # Manually added options by pentoo
- usbnet)
- # disable everything else
- disable staging update-initramfs lib80211 b44 ssb bcma rfkill eeprom ethernet var_03 bt 80211 ath9k_rate_control || die
- ;;
- staging)
- # disable everything else
- disable usbnet update-initramfs lib80211 b44 ssb bcma rfkill eeprom ethernet var_03 bt 80211 ath9k_rate_control || die
- ;;
- b44)
- disable staging usbnet ethernet bt update-initramfs || die
- disable eeprom lib80211 || die
- select_drivers CONFIG_B44 || die
- ;;
- *)
- die "Unsupported driver: ${1}"
- exit
- ;;
- esac
-}
-
-# @FUNCTION: echo_flag_settings
-# @DESCRIPTION:
-# This internal function outputs the "disable" actions for a flag
-function echo_flag_settings {
- # example:
- # CPD_DISABLE_${iflag}="action1 action2"
- # CPD_DRIVERS_MAKEFILE="flag1 flag1"
- # CPD_ATH_MAKEFILE="flag3"
- # ...
- local iflag=$1
- eval "local disable_list=\"\${CPD_DISABLE_${iflag}}\"" || die
- einfo "Disable list for ${iflag}: ${disable_list}"
-}
-
-# ==============================================================================
-# EXPORTED FUNCTIONS
-# ==============================================================================
-
-# @FUNCTION: compat-drivers-3.7_src_configure
-# @DESCRIPTION:
-# This function reads the configuration (disable-actions and filters) for each
-# single active flag, then constructs and applies the common configuration set.
-compat-drivers-3.7_src_configure() {
- # early exit, skip filtering of configuration and build all modules
- if use build-all-modules; then
- ewarn "You have chosen to build all modules!"
- ewarn "The Pentoo team strives to build only the desired modules and the"
- ewarn "use flag 'build-all-modules' should only be used when"
- ewarn "the desired modules is not available through another flag."
- ewarn "Please open an issue at the Pentoo site and let us know which"
- ewarn "module was missing!"
- return 0
- fi
-
- # loop over all modules
- local use_temp=''
- local use_enabled_list=''
- for useexp in ${CPD_USE_EXPAND}; do
- use_temp="\$CPD_USE_EXPAND_$useexp" || die
- for iuse in `eval echo "\$use_temp"`; do
- if [ "${iuse:0:1}" = '+' ]; then
- local iuse2=${iuse:1} || die
- else
- local iuse2=${iuse} || die
- fi
- local iflag="compat_drivers_${useexp}_${iuse2}" || die
- # check if it's enabled
- if use "${iflag}"; then
- use_enabled_list+=" ${iuse2}" || die
- # fill the disable/enable lists
- # example:
- # CPD_DISABLE_${iflag}="action1 action2"
- # CPD_DRIVERS_MAKEFILE="flag1 flag1"
- # CPD_ATH_MAKEFILE="flag3"
- # ...
- set_flag "${iuse2}" || die
- echo_flag_settings "${iuse2}" || die
- fi
- done
- done
- einfo "List of enabled modules: ${use_enabled_list}"
- # compose common disable list for all flags
- # 1st module/flag
- local iuse1="$(echo $use_enabled_list | cut -d ' ' -f 1)" || die
- eval "local disable_list=\$CPD_DISABLE_${iuse1}" || die
- for iuse in ${use_enabled_list}; do
- if [ "${iuse}" != "${iuse1}" ]; then
- local disable_list_new='' || die
- eval "local disable_list_other=\$CPD_DISABLE_${iuse}" || die
- for dis in ${disable_list}; do
- has "${dis}" ${disable_list_other} && \
- disable_list_new+=" ${dis}"
- done
- disable_list="${disable_list_new}" || die
- fi
- done
- # execute all filters for the Makefiles
- for file in ${CPD_MAKEFILES}; do
- eval "local filter_list=\$CPD_${file}" || die
- if [ -n "${filter_list}" ]; then
- # einfo "Filtering $(get_makefile ${file}) for: ${filter_list}"
- select_drivers_from_makefile "${file}" "${filter_list}" || die
- fi
- done
- # execute common disable list
- einfo "Common disable list: ${disable_list}"
- for dis in ${disable_list}; do
- einfo "Running disable function: disable_${dis}"
- eval "disable_${dis}" || die
- done
-}
-
-EXPORT_FUNCTIONS src_configure || die
diff --git a/eclass/compat-drivers-3.8-r1.eclass b/eclass/compat-drivers-3.8-r1.eclass
deleted file mode 100644
index f01faa83..00000000
--- a/eclass/compat-drivers-3.8-r1.eclass
+++ /dev/null
@@ -1,104 +0,0 @@
-# Copyright 1999-2013 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-
-
-# @ECLASS: compat-drivers-3.8-r1.eclass
-# @MAINTAINER:
-# wuodan@pentoo.ch
-# @BLURB: Implements functionality of driver-select script for several modules
-# @DESCRIPTION:
-# Implements functionality of driver-select script for several modules
-# needs a modified version of the driver-select file!
-
-# compose IUSE and REQUIRED_USE from the categories
-IUSE+=" +build-all-modules"
-REQUIRED_USE+=" || ("
-for useexp in ${CPD_USE_EXPAND}; do
- USE_TEMP="\$CPD_USE_EXPAND_$useexp"
- for iuse in `eval echo "\$USE_TEMP"`; do
- if [ "${iuse:0:1}" = '+' ]; then
- IUSE+=" ${iuse:0:1}compat_drivers_${useexp}_${iuse:1}" || die
- REQUIRED_USE+=" compat_drivers_${useexp}_${iuse:1}" || die
- else
- IUSE+=" compat_drivers_${useexp}_${iuse}" || die
- REQUIRED_USE+=" compat_drivers_${useexp}_${iuse} build-all-modules" || die
- fi
- done
-done
-REQUIRED_USE+=" )"
-
-# ==============================================================================
-# INTERNAL VARIABLES
-# ==============================================================================
-
-# @VARIABLE: CPD_USE_EXPAND
-# @DESCRIPTION:
-# This variable needs to be set in the ebuild and contains the categories for
-# USE_EXPAND
-
-# @VARIABLE: CPD_USE_EXPAND_category
-# @DESCRIPTION:
-# These variables need to be set in the ebuild, one per category in
-# CPD_USE_EXPAND. They contain the modules of the categories.
-
-# @ECLASS-VARIABLE: CPD_MODULE
-# @DESCRIPTION:
-# This internal variable contains a temporary value, the currently processed
-# module.
-
-# @ECLASS-VARIABLE: CPD_DISABLE_${CPD_MODULE}
-# @DESCRIPTION:
-# These internal variables contains values, the 'disable-actions' of the
-# currently processed module. One variable exists for each active module.
-
-# ==============================================================================
-# INTERNAL FUNCTIONS
-# ==============================================================================
-
-# ==============================================================================
-# EXPORTED FUNCTIONS
-# ==============================================================================
-
-# @FUNCTION: compat-drivers-3.8-r1_src_configure
-# @DESCRIPTION:
-# This function reads the configuration (disable-actions and filters) for each
-# single active flag, then constructs and applies the common configuration set.
-compat-drivers-3.8-r1_src_configure() {
- # early exit, skip filtering of configuration and build all modules
- if use build-all-modules; then
- ewarn "You have chosen to build all modules!"
- ewarn "The Pentoo team strives to build only the desired modules and the"
- ewarn "use flag 'build-all-modules' should only be used when"
- ewarn "the desired modules is not available through another flag."
- ewarn "Please open an issue at the Pentoo site and let us know which"
- ewarn "module was missing!"
- return 0
- fi
-
- # loop over all modules
- local use_temp=''
- local use_enabled_list=''
- for useexp in ${CPD_USE_EXPAND}; do
- use_temp="\$CPD_USE_EXPAND_$useexp" || die
- for iuse in `eval echo "\$use_temp"`; do
- if [ "${iuse:0:1}" = '+' ]; then
- local iuse2=${iuse:1} || die
- else
- local iuse2=${iuse} || die
- fi
- local iflag="compat_drivers_${useexp}_${iuse2}" || die
- # check if it's enabled
- if use "${iflag}"; then
- use_enabled_list+=" ${iuse2}" || die
- fi
- done
- done
- einfo "List of enabled modules: ${use_enabled_list}"
-
- # Call the modified driver-select script
- scripts/driver-select -q ${use_enabled_list} || \
- die "driver-select failed. This file was edited by Pentoo"
-}
-
-EXPORT_FUNCTIONS src_configure || die
diff --git a/eclass/compat-drivers-3.8.eclass b/eclass/compat-drivers-3.8.eclass
deleted file mode 100644
index e517f527..00000000
--- a/eclass/compat-drivers-3.8.eclass
+++ /dev/null
@@ -1,560 +0,0 @@
-# Copyright 1999-2013 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-
-
-# @ECLASS: compat-drivers-3.8.eclass
-# @MAINTAINER:
-# wuodan@pentoo.ch
-# @BLURB: Implements functionality of driver-select script for several modules
-# @DESCRIPTION:
-# Implements functionality of driver-select script for several modules
-
-# compose IUSE and REQUIRED_USE from the categories
-IUSE+=" +build-all-modules"
-REQUIRED_USE+=" || ("
-for useexp in ${CPD_USE_EXPAND}; do
- USE_TEMP="\$CPD_USE_EXPAND_$useexp"
- for iuse in `eval echo "\$USE_TEMP"`; do
- if [ "${iuse:0:1}" = '+' ]; then
- IUSE+=" ${iuse:0:1}compat_drivers_${useexp}_${iuse:1}" || die
- REQUIRED_USE+=" compat_drivers_${useexp}_${iuse:1}" || die
- else
- IUSE+=" compat_drivers_${useexp}_${iuse}" || die
- REQUIRED_USE+=" compat_drivers_${useexp}_${iuse} build-all-modules" || die
- fi
- done
-done
-REQUIRED_USE+=" )"
-
-# ==============================================================================
-# INTERNAL VARIABLES
-# ==============================================================================
-
-# @VARIABLE: CPD_USE_EXPAND
-# @DESCRIPTION:
-# This variable needs to be set in the ebuild and contains the categories for
-# USE_EXPAND
-
-# @VARIABLE: CPD_USE_EXPAND_category
-# @DESCRIPTION:
-# These variables need to be set in the ebuild, one per category in
-# CPD_USE_EXPAND. They contain the modules of the categories.
-
-# @ECLASS-VARIABLE: CPD_MODULE
-# @DESCRIPTION:
-# This internal variable contains a temporary value, the currently processed
-# module.
-
-# @ECLASS-VARIABLE: CPD_DISABLE_${CPD_MODULE}
-# @DESCRIPTION:
-# These internal variables contains values, the 'disable-actions' of the
-# currently processed module. One variable exists for each active module.
-
-# @ECLASS-VARIABLE: CPD_MAKEFILES
-# @DESCRIPTION:
-# This internal variable contains a list of all 'Makefile's
-CPD_MAKEFILES="
- MAKEFILE
- COMPAT_CONFIG_CW
- DRIVERS_MAKEFILE
- ATH_MAKEFILE
- ATH9K_MAKEFILE
- BRCM80211_MAKEFILE
- RT2X00_MAKEFILE
- TI_MAKEFILE
- NET_WIRELESS_MAKEFILE
- EEPROM_MAKEFILE
- DRIVERS_NET_ATHEROS
- DRIVERS_NET_BROADCOM
- DRIVERS_NET_USB_MAKEFILE
- SSB_MAKEFILE
- BCMA_MAKEFILE"
-
-# @ECLASS-VARIABLE: CPD_MAKEFILES_ARRAY
-# @DESCRIPTION:
-# This internal variable contains an array with paths to all files
-CPD_MAKEFILES_ARRAY=(
- MAKEFILE=Makefile
- COMPAT_CONFIG_CW=config.mk
- DRIVERS_MAKEFILE=drivers/net/wireless/Makefile
- ATH_MAKEFILE=drivers/net/wireless/ath/Makefile
- ATH9K_MAKEFILE=drivers/net/wireless/ath/ath9k/Makefile
- BRCM80211_MAKEFILE=drivers/net/wireless/brcm80211/Makefile
- RT2X00_MAKEFILE=drivers/net/wireless/rt2x00/Makefile
- TI_MAKEFILE=drivers/net/wireless/ti/Makefile
- NET_WIRELESS_MAKEFILE=net/wireless/Makefile
- EEPROM_MAKEFILE=drivers/misc/eeprom/Makefile
- DRIVERS_NET_ATHEROS=drivers/net/ethernet/atheros/Makefile
- DRIVERS_NET_BROADCOM=drivers/net/ethernet/broadcom/Makefile
- DRIVERS_NET_USB_MAKEFILE=drivers/net/usb/Makefile
- SSB_MAKEFILE=drivers/ssb/Makefile
- BCMA_MAKEFILE=drivers/bcma/Makefile
-)
-
-# ==============================================================================
-# INTERNAL FUNCTIONS
-# ==============================================================================
-
-# @FUNCTION: get_makefile
-# @DESCRIPTION:
-# This internal function returns the path to a file from CPD_MAKEFILES_ARRAY
-function get_makefile {
- for file in "${CPD_MAKEFILES_ARRAY[@]}"; do
- if [ "${file%%=*}" = "${1}" ]; then
- echo "${file#*=}"
- return 0
- fi
- done
- die "Not found"
-}
-
-# @FUNCTION: select_drivers_from_makefile
-# @DESCRIPTION:
-# This internal function filters a Makefile
-# It deletes all non matching lines!
-function select_drivers_from_makefile
-{
- local makefile=$(get_makefile "$1")
- shift
- local configs=""
- for i in $@; do
- [ "${configs}" != '' ] && configs+='|'
- configs+="${i}"
- done
- einfo "Filtering file ${makefile} for: ${configs}"
- sed -r "/${configs}/!d" ${makefile} > ${makefile}.tmp || die
- mv ${makefile}.tmp ${makefile} || die
-}
-
-# @FUNCTION: disable
-# @DESCRIPTION:
-# This internal function registers a 'disable' action for a module.
-# It writes to a variable CPD_DISABLE_${CPD_MODULE}
-function disable {
- eval "CPD_DISABLE_${CPD_MODULE}+=\" ${*}\"" || die
-}
-
-# @FUNCTION: disable_makefile
-# @DESCRIPTION:
-# This internal function clears a Makefile completely. Use with care!
-function disable_makefile {
- einfo "Clearing entire file: ${1}"
- echo > $1 || die
-}
-
-# @FUNCTION: disable_staging
-# @DESCRIPTION:
-# This internal function disables "staging"
-function disable_staging
-{
- # perl -i -ne 'print if ! /CONFIG_COMPAT_STAGING/ ' "${MAKEFILE}"
- sed -i '/CONFIG_COMPAT_STAGING/d' "$(get_makefile MAKEFILE)" || die
-}
-
-# @FUNCTION: disable_update-initramfs
-# @DESCRIPTION:
-# This internal function disables "update-initramfs"
-function disable_update-initramfs
-{
- # perl -i -ne 'print if ! /update-initramfs/' "${MAKEFILE}"
- sed -i '/update-initramfs/d' "$(get_makefile MAKEFILE)" || die
-}
-
-# @FUNCTION: disable_lib80211
-# @DESCRIPTION:
-# This internal function disables "lib80211"
-function disable_lib80211
-{
- # perl -i -ne 'print if ! /LIB80211/ ' $NET_WIRELESS_MAKEFILE
- sed -i '/LIB80211/d' "$(get_makefile NET_WIRELESS_MAKEFILE)" || die
-}
-
-# @FUNCTION: disable_b44
-# @DESCRIPTION:
-# This internal function disables "b44"
-function disable_b44 {
- # perl -i -ne 'print if ! /CONFIG_B44/ ' $DRIVERS_NET_BROADCOM
- sed -i '/CONFIG_B44/d' "$(get_makefile DRIVERS_NET_BROADCOM)" || die
-}
-
-# @FUNCTION: disable_ssb
-# @DESCRIPTION:
-# This internal function disables "ssb"
-function disable_ssb
-{
- disable_makefile "$(get_makefile ${SSB_MAKEFILE})"
- # perl -i -ne 'print if ! /drivers\/ssb\//' "${MAKEFILE}"
- sed -i '/drivers\/ssb\//d' "$(get_makefile MAKEFILE)" || die
-}
-
-# @FUNCTION: disable_bcma
-# @DESCRIPTION:
-# This internal function disables "bcma"
-function disable_bcma
-{
- disable_makefile "$(get_makefile ${BCMA_MAKEFILE})"
- # perl -i -ne 'print if ! /drivers\/bcma\//' "${MAKEFILE}"
- sed -i '/drivers\/bcma\//d' "$(get_makefile MAKEFILE)" || die
-}
-
-# @FUNCTION: disable_rfkill
-# @DESCRIPTION:
-# This internal function disables "rfkill"
-function disable_rfkill
-{
- # perl -i -ne 'print if ! /CONFIG_COMPAT_RFKILL/' "${MAKEFILE}"
- sed -i '/CONFIG_COMPAT_RFKILL/d' "$(get_makefile MAKEFILE)" || die
-}
-
-# @FUNCTION: disable_eprom
-# @DESCRIPTION:
-# This internal function disables "eprom"
-function disable_eeprom
-{
- disable_makefile "$(get_makefile ${EEPROM_MAKEFILE})" || die
- # perl -i -ne 'print if ! /drivers\/misc\/eeprom\//' "${MAKEFILE}"
- sed -i '/drivers\/misc\/eeprom\//d' "$(get_makefile MAKEFILE)" || die
-}
-
-# @FUNCTION: disable_usbnet
-# @DESCRIPTION:
-# This internal function disables "usbnet"
-function disable_usbnet
-{
- disable_makefile ${DRIVERS_NET_USB_MAKEFILE} || die
- # perl -i -ne 'print if ! /drivers\/net\/usb\//' "${MAKEFILE}"
- sed -i '/drivers\/net\/usb\//d' "$(get_makefile MAKEFILE)" || die
-}
-
-# @FUNCTION: disable_usbnet
-# @DESCRIPTION:
-# This internal function disables "usbnet"
-# this function is twice in driver-select script!?!
-function disable_usbnet {
- # perl -i -ne 'print if ! /CONFIG_COMPAT_NET_USB_MODULES/' "${MAKEFILE}"
- sed -i '/CONFIG_COMPAT_NET_USB_MODULES/d' "$(get_makefile MAKEFILE)" || die
-}
-
-# @FUNCTION: disable_ethernet
-# @DESCRIPTION:
-# This internal function disables "ethernet"
-function disable_ethernet {
- # perl -i -ne 'print if ! /CONFIG_COMPAT_NETWORK_MODULES/' "${MAKEFILE}"
- sed -i '/CONFIG_COMPAT_NETWORK_MODULES/d' "$(get_makefile MAKEFILE)" || die
-}
-
-# @FUNCTION: disable_var_03
-# @DESCRIPTION:
-# This internal function disables "var_03"
-function disable_var_03 {
- # perl -i -ne 'print if ! /CONFIG_COMPAT_VAR_MODULES/' "${MAKEFILE}"
- sed -i '/CONFIG_COMPAT_VAR_MODULES/d' "$(get_makefile MAKEFILE)" || die
-}
-
-# @FUNCTION: disable_bt
-# @DESCRIPTION:
-# This internal function disables "bt"
-function disable_bt {
- # perl -i -ne 'print if ! /CONFIG_COMPAT_BLUETOOTH/' "${MAKEFILE}"
- sed -i '/CONFIG_COMPAT_BLUETOOTH/d' "$(get_makefile MAKEFILE)" || die
-}
-
-# @FUNCTION: disable_80211
-# @DESCRIPTION:
-# This internal function disables "80211"
-function disable_80211 {
- # perl -i -ne 'print if ! /CONFIG_COMPAT_WIRELESS/' "${MAKEFILE}"
- sed -i '/CONFIG_COMPAT_WIRELESS/d' "$(get_makefile MAKEFILE)" || die
-}
-
-# @FUNCTION: disable_drm
-# @DESCRIPTION:
-# This internal function disables "drm"
-function disable_drm {
- # perl -i -ne 'print if ! /CONFIG_COMPAT_VIDEO_MODULES/' "${MAKEFILE}"
- sed -i '/CONFIG_COMPAT_VIDEO_MODULES/d' "$(get_makefile MAKEFILE)" || die
-}
-
-# @FUNCTION: disable_ath9k_rate_control
-# @DESCRIPTION:
-# This internal function disables "ath9k_rate_control"
-# new function, not in driver-select
-function disable_ath9k_rate_control {
- # perl -i -ne 'print if ! /CONFIG_COMPAT_ATH9K_RATE_CONTROL/ ' $COMPAT_CONFIG_CW
- sed -i '/CONFIG_COMPAT_ATH9K_RATE_CONTROL/d' "$(get_makefile COMPAT_CONFIG_CW)" || die
-}
-
-# @FUNCTION: select_drivers
-# @DESCRIPTION:
-# This internal function registers filters for the drivers Makefile
-function select_drivers {
- eval "CPD_DRIVERS_MAKEFILE+=\" ${*}\"" || die
-}
-
-# @FUNCTION: select_ath_driver
-# @DESCRIPTION:
-# This internal function registers filters for the ath Makefile
-function select_ath_driver {
- eval "CPD_ATH_MAKEFILE+=\" ${*}\"" || die
-}
-
-# @FUNCTION: select_ath_driver_common
-# @DESCRIPTION:
-# This internal function registers common filters for the ath Makefile
-function select_ath_driver_common {
- # eval "CPD_ATH_MAKEFILE+=\" CONFIG_ATH_ ath-objs regd.o hw.o\"" || die
- select_ath_driver CONFIG_ATH_ ath-objs regd.o hw.o key.o || die
-}
-
-# @FUNCTION: select_brcm80211_driver
-# @DESCRIPTION:
-# This internal function registers filters for the brcm80211 Makefile
-function select_brcm80211_driver {
- eval "CPD_BRCM80211_MAKEFILE+=\" ${*}\"" || die
-}
-
-# @FUNCTION: select_ti_driver
-# @DESCRIPTION:
-# This internal function registers filters for the ti Makefile
-function select_ti_drivers {
- select_drivers CONFIG_WL_TI
- eval "CPD_TI_MAKEFILE+=\" ${*}\"" || die
-}
-
-# @FUNCTION: set_flag
-# @DESCRIPTION:
-# This internal function contains the configuration for each flag/module
-function set_flag {
- # clear/set global vars
- CPD_MODULE=$1
- case $1 in
- ath5k)
- disable staging usbnet ethernet bt update-initramfs var_03 drm || die
- select_drivers CONFIG_ATH_CARDS || die
- select_ath_driver CONFIG_ATH5K || die
- select_ath_driver_common || die
- ;;
- ath9k)
- disable staging usbnet ethernet bt update-initramfs var_03 drm || die
- select_drivers CONFIG_ATH_CARDS || die
- select_ath_driver CONFIG_ATH9K_HW || die
- select_ath_driver_common || die
- ;;
- ath9k_ap)
- disable staging usbnet ethernet bt update-initramfs var_03 drm || die
- select_drivers CONFIG_ATH_CARDS || die
- select_ath_driver CONFIG_ATH9K_HW || die
- select_ath_driver_common || die
- disable ath9k_rate_control || die
- ;;
- carl9170)
- disable staging usbnet ethernet bt update-initramfs var_03 drm || die
- select_drivers CONFIG_ATH_CARDS || die
- select_ath_driver CONFIG_CARL9170 || die
- select_ath_driver_common || die
- ;;
- ath9k_htc)
- disable staging usbnet ethernet bt update-initramfs var_03 drm || die
- select_drivers CONFIG_ATH_CARDS || die
- select_ath_driver CONFIG_ATH9K_HW || die
- select_ath_driver_common || die
- ;;
- ath6kl)
- disable staging usbnet ethernet bt update-initramfs var_03 drm || die
- select_drivers CONFIG_ATH_CARDS || die
- select_ath_driver CONFIG_ATH6KL || die
- select_ath_driver_common || die
- ;;
- wil6210)
- disable staging usbnet ethernet bt update-initramfs var_03 drm || die
- select_drivers CONFIG_ATH_CARDS || die
- select_ath_driver CONFIG_WIL6210 || die
- ;;
- brcmsmac)
- disable staging usbnet ethernet bt update-initramfs var_03 drm || die
- select_drivers CONFIG_BRCMSMAC || die
- select_brcm80211_driver CONFIG_BRCMSMAC CONFIG_BRCMUTIL || die
- ;;
- brcmfmac)
- disable staging usbnet ethernet bt update-initramfs var_03 drm || die
- select_drivers CONFIG_BRCMFMAC || die
- select_brcm80211_driver CONFIG_BRCMSMAC CONFIG_BRCMUTIL || die
- ;;
- zd1211rw)
- select_drivers CONFIG_COMPAT_ZD1211RW || die
- disable staging lib80211 ssb bcma usbnet eeprom update-initramfs || die
- ;;
- b43)
- disable staging usbnet ethernet bt update-initramfs || die
- disable eeprom lib80211 || die
- select_drivers CONFIG_B43 || die
- ;;
- rt2x00)
- select_drivers CONFIG_RT2X00 || die
- disable staging usbnet ethernet bt update-initramfs || die
- disable lib80211 ssb bcma usbnet update-initramfs || die
- ;;
- wl1251)
- select_ti_drivers CONFIG_WL1251 || die
- disable staging lib80211 ssb bcma usbnet eeprom update-initramfs || die
- ;;
- wl12xx)
- select_ti_drivers CONFIG_WL12XX || die
- disable staging lib80211 ssb bcma usbnet eeprom update-initramfs || die
- ;;
- wl18xx)
- select_ti_drivers CONFIG_WL18XX || die
- disable staging lib80211 ssb bcma usbnet eeprom update-initramfs || die
- ;;
- # Ethernet and Bluetooth drivers
- atl1)
- disable staging usbnet var_03 drm bt rfkill 80211 b44 || die
- echo -e "obj-\$(CONFIG_ATL1) += atlx/" > "$(get_makefile DRIVERS_NET_ATHEROS)" || die
- ;;
- atl2)
- disable staging usbnet var_03 drm bt rfkill 80211 b44 || die
- echo -e "obj-\$(CONFIG_ATL2) += atlx/" > "$(get_makefile DRIVERS_NET_ATHEROS)" || die
- ;;
- atl1e)
- disable staging usbnet var_03 drm bt rfkill 80211 b44 || die
- echo -e "obj-\$(CONFIG_ATL1E) += atl1e/" > "$(get_makefile DRIVERS_NET_ATHEROS)" || die
- ;;
- atl1c)
- disable staging usbnet var_03 drm bt rfkill 80211 b44 || die
- echo -e "obj-\$(CONFIG_ATL1C) += atl1c/" > "$(get_makefile DRIVERS_NET_ATHEROS)" || die
- ;;
- alx)
- disable staging usbnet var_03 drm bt rfkill 80211 b44 || die
- echo -e "obj-\$(CONFIG_ALX) += alx/" > "$(get_makefile DRIVERS_NET_ATHEROS)" || die
- ;;
- atlxx)
- select_drivers CONFIG_ATL1 CONFIG_ATL2 CONFIG_ATL1E CONFIG_ALX || die
- disable staging usbnet var_03 drm bt rfkill 80211 b44 update-initramfs || die
- ;;
- bt)
- select_drivers CONFIG_BT || die
- disable ssb bcma usbnet eeprom update-initramfs ethernet staging 80211 || die
- ;;
- i915)
- # rfkill may be needed if you enable b44 as you may have b43
- disable ethernet staging usbnet var_03 bt rfkill 80211 || die
- ;;
- drm)
- # rfkill may be needed if you enable b44 as you may have b43
- disable ethernet staging usbnet var_03 bt rfkill 80211 || die
- ;;
- # Manually added options by pentoo
- usbnet)
- # disable everything else
- disable staging update-initramfs lib80211 b44 ssb bcma rfkill eeprom ethernet var_03 bt 80211 ath9k_rate_control || die
- ;;
- staging)
- # disable everything else
- disable usbnet update-initramfs lib80211 b44 ssb bcma rfkill eeprom ethernet var_03 bt 80211 ath9k_rate_control || die
- ;;
- b44)
- disable staging usbnet ethernet bt update-initramfs || die
- disable eeprom lib80211 || die
- select_drivers CONFIG_B44 || die
- ;;
- *)
- die "Unsupported driver: ${1}"
- exit
- ;;
- esac
-}
-
-# @FUNCTION: echo_flag_settings
-# @DESCRIPTION:
-# This internal function outputs the "disable" actions for a flag
-function echo_flag_settings {
- # example:
- # CPD_DISABLE_${iflag}="action1 action2"
- # CPD_DRIVERS_MAKEFILE="flag1 flag1"
- # CPD_ATH_MAKEFILE="flag3"
- # ...
- local iflag=$1
- eval "local disable_list=\"\${CPD_DISABLE_${iflag}}\"" || die
- einfo "Disable list for ${iflag}: ${disable_list}"
-}
-
-# ==============================================================================
-# EXPORTED FUNCTIONS
-# ==============================================================================
-
-# @FUNCTION: compat-drivers-3.8_src_configure
-# @DESCRIPTION:
-# This function reads the configuration (disable-actions and filters) for each
-# single active flag, then constructs and applies the common configuration set.
-compat-drivers-3.8_src_configure() {
- # early exit, skip filtering of configuration and build all modules
- if use build-all-modules; then
- ewarn "You have chosen to build all modules!"
- ewarn "The Pentoo team strives to build only the desired modules and the"
- ewarn "use flag 'build-all-modules' should only be used when"
- ewarn "the desired modules is not available through another flag."
- ewarn "Please open an issue at the Pentoo site and let us know which"
- ewarn "module was missing!"
- return 0
- fi
-
- # loop over all modules
- local use_temp=''
- local use_enabled_list=''
- for useexp in ${CPD_USE_EXPAND}; do
- use_temp="\$CPD_USE_EXPAND_$useexp" || die
- for iuse in `eval echo "\$use_temp"`; do
- if [ "${iuse:0:1}" = '+' ]; then
- local iuse2=${iuse:1} || die
- else
- local iuse2=${iuse} || die
- fi
- local iflag="compat_drivers_${useexp}_${iuse2}" || die
- # check if it's enabled
- if use "${iflag}"; then
- use_enabled_list+=" ${iuse2}" || die
- # fill the disable/enable lists
- # example:
- # CPD_DISABLE_${iflag}="action1 action2"
- # CPD_DRIVERS_MAKEFILE="flag1 flag1"
- # CPD_ATH_MAKEFILE="flag3"
- # ...
- set_flag "${iuse2}" || die
- echo_flag_settings "${iuse2}" || die
- fi
- done
- done
- einfo "List of enabled modules: ${use_enabled_list}"
- # compose common disable list for all flags
- # 1st module/flag
- local iuse1="$(echo $use_enabled_list | cut -d ' ' -f 1)" || die
- eval "local disable_list=\$CPD_DISABLE_${iuse1}" || die
- for iuse in ${use_enabled_list}; do
- if [ "${iuse}" != "${iuse1}" ]; then
- local disable_list_new='' || die
- eval "local disable_list_other=\$CPD_DISABLE_${iuse}" || die
- for dis in ${disable_list}; do
- has "${dis}" ${disable_list_other} && \
- disable_list_new+=" ${dis}"
- done
- disable_list="${disable_list_new}" || die
- fi
- done
- # execute all filters for the Makefiles
- for file in ${CPD_MAKEFILES}; do
- eval "local filter_list=\$CPD_${file}" || die
- if [ -n "${filter_list}" ]; then
- # einfo "Filtering $(get_makefile ${file}) for: ${filter_list}"
- select_drivers_from_makefile "${file}" "${filter_list}" || die
- fi
- done
- # execute common disable list
- einfo "Common disable list: ${disable_list}"
- for dis in ${disable_list}; do
- einfo "Running disable function: disable_${dis}"
- eval "disable_${dis}" || die
- done
-}
-
-EXPORT_FUNCTIONS src_configure || die
diff --git a/eclass/kde-l10n.eclass b/eclass/kde-l10n.eclass
deleted file mode 100644
index 100db755..00000000
--- a/eclass/kde-l10n.eclass
+++ /dev/null
@@ -1,32 +0,0 @@
-# Copyright 2004-2012 Sabayon
-# Distributed under the terms of the GNU General Public License v2
-# $
-
-inherit base kde4-base
-
-MY_LANG="${PN/kde-l10n-/}"
-
-# export all the available functions here
-EXPORT_FUNCTIONS src_prepare src_configure
-
-L10N_NAME="${L10N_NAME:-${MY_LANG}}"
-DESCRIPTION="KDE4 ${L10N_NAME} localization package"
-HOMEPAGE="http://www.kde.org/"
-LICENSE="GPL-2"
-
-KEYWORDS="~amd64 ~x86"
-DEPEND=">=sys-devel/gettext-0.15"
-RDEPEND=""
-IUSE="+handbook"
-
-kde-l10n_src_prepare() {
- # override kde4-base_src_prepare which
- # fails at enable_selected_doc_linguas
- base_src_prepare
-}
-
-kde-l10n_src_configure() {
- mycmakeargs="${mycmakeargs}
- $(cmake-utils_use_build handbook docs)"
- kde4-base_src_configure
-}
diff --git a/eclass/kog-patches.eclass b/eclass/kog-patches.eclass
deleted file mode 100644
index 17807efd..00000000
--- a/eclass/kog-patches.eclass
+++ /dev/null
@@ -1,171 +0,0 @@
-# Copyright 2014 Sabayon
-# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-
-# @ECLASS: kog-patches.eclass
-# @MAINTAINER:
-# slawomir.nizio@sabayon.org
-# @AUTHOR:
-# SÅ‚awomir Nizio <slawomir.nizio@sabayon.org>
-# @BLURB: eclass that makes it easier to apply patches from multiple packages
-# @DESCRIPTION:
-# Makes it easy to apply patches stored in a remote location
-# with the intention to make the task easier for Sabayon split ebuilds.
-# (Plain patches kept in a VCS are very nice, but in the case of split
-# ebuilds, duplicating the patches is not effective.)
-# Patches are not added to SRC_URI by default, because it makes ebuilds
-# use "SRC_URI+=..." which makes them more diverged from the original
-# one than necessary.
-# The eclass does not define any phase function.
-
-# @ECLASS-VARIABLE: KOG_PATCHES_SRC
-# @DEFAULT_UNSET
-# @DESCRIPTION:
-# Array that contains URIs of patches to be added to SRC_URI. Mandatory!
-
-# @ECLASS-VARIABLE: KOG_PATCHES_SKIP
-# @DESCRIPTION:
-# Array that contains patterns of patch names to be skipped.
-# It does not need to be a global variable.
-
-inherit eutils
-
-if [[ ${#KOG_PATCHES_SRC[@]} -eq 0 ]]; then
- die "KOG_PATCHES_SRC is not set"
-fi
-
-# @FUNCTION: kog-patches_update_SRC_URI
-# @DESCRIPTION:
-# Appends patches entries to SRC_URI. If it is not done, an error will
-# occur later on.
-kog-patches_update_SRC_URI() {
- local p
- for p in "${KOG_PATCHES_SRC[@]}"; do
- SRC_URI+=${SRC_URI:+ }${p}
- done
-}
-
-# @FUNCTION: kog-patches_apply_all
-# @DESCRIPTION:
-# Applies patches specified using KOG_PATCHES_SRC, skipping patches
-# with names matched in KOG_PATCHES_SKIP.
-# Two possible cases are supported.
-# 1. A patch path which is a tarball (assumed file name: *.tar*).
-# Such a tarball must unpack to ${WORKDIR}/<tarball name without *.tar*>
-# and must contain a file 'order,' which is used to determine order
-# of patches to apply.
-# 2. A patch which is not a tarball, which will be simply applied (if
-# it is not skipped).
-kog-patches_apply_all() {
- local p
- for p in "${KOG_PATCHES_SRC[@]}"; do
- if [[ ${p} = *.tar* ]]; then
- local dir=${p##*/}
- dir=${dir%.tar*}
- _kog-patches_apply_from_dir "${WORKDIR}/${dir}"
- else
- local name=${p##*/}
- _kog-patches_apply_nonskipped "${DISTDIR}" "${name}"
- fi
- done
-}
-
-# @FUNCTION: kog-patches_apply
-# @DESCRIPTION:
-# Apply selected patches. Arguments are the directory containing
-# the patch, followed by one or more patch names.
-kog-patches_apply() {
- [[ $# -lt 2 ]] && die "kog-patches_apply: missing arguments"
- local dir=$1
- shift
- local patch
- for patch; do
- epatch "${dir}/${patch}"
- done
-}
-
-# @FUNCTION: kog-patches_unpack
-# @DESCRIPTION:
-# Unpack every file provided in KOG_PATCHES_SRC.
-kog-patches_unpack() {
- local p
- pushd "${WORKDIR}" > /dev/null || die
-
- for p in "${KOG_PATCHES_SRC[@]}"; do
- local name=${p##*/}
- unpack "${name}"
- done
-
- popd > /dev/null || die
-}
-
-# @FUNCTION: _kog-patches_apply_nonskipped
-# @INTERNAL
-# @DESCRIPTION:
-# Apply selected patches - only those which should not be skipped.
-# Arguments are the directory containing the patch, followed by
-# one or more patch names.
-# This function is not intended to be used by ebuilds because there
-# is a better way: use kog-patches_apply and skip the unwanted ones.
-_kog-patches_apply_nonskipped() {
- if [[ $# -lt 2 ]]; then
- die "_kog-patches_apply_nonskipped: missing arguments"
- fi
-
- local dir=$1
- shift
-
- local patch
- for patch; do
- if [[ ${patch} = */* ]]; then
- die "_kog-patches_apply_nonskipped: '${patch}' contains slashes"
- fi
-
- if _kog-patches_is_skipped "${patch}"; then
- einfo "(skipping ${patch})"
- else
- epatch "${dir}/${patch}"
- fi
- done
-}
-
-# @FUNCTION: _kog-patches_apply_from_dir
-# @INTERNAL
-# @DESCRIPTION:
-# Apply all patches from a directory in order. Obeys KOG_PATCHES_SKIP.
-_kog-patches_apply_from_dir() {
- local dir=$1
- local order_file=${dir}/order
- if [[ ! -r ${order_file} ]] || [[ ! -f ${order_file} ]]; then
- die "Problems with '${order_file}'... (Does it exist?)"
- fi
-
- local patch
- while read patch; do
- local patch_path=${dir}/${patch}
- if \
- [[ -z ${patch} ]] || \
- [[ ${patch} = *\ * ]] || \
- [[ ${patch} = */* ]] || \
- [[ ! -f ${patch_path} ]]; then
- die "Problems with the patch '${patch}', see ${order_file}."
- fi
-
- _kog-patches_apply_nonskipped "${dir}" "${patch}"
- done < "${order_file}"
-
- [[ $? -ne 0 ]] && die "_kog-patches_apply_from_dir: loop failed"
-}
-
-# @FUNCTION: _kog-patches_is_skipped
-# @INTERNAL
-# @DESCRIPTION:
-# Returns success if the patch should be skipped. O(n). :)
-_kog-patches_is_skipped() {
- local arg=$1
- local p
- for p in "${KOG_PATCHES_SKIP[@]}"; do
- [[ ${arg} = ${p} ]] && return 0
- done
- return 1
-}
diff --git a/eclass/libreoffice-l10n-2.eclass b/eclass/libreoffice-l10n-2.eclass
deleted file mode 100644
index cea31107..00000000
--- a/eclass/libreoffice-l10n-2.eclass
+++ /dev/null
@@ -1,153 +0,0 @@
-# Copyright 2004-2014 Sabayon Linux
-# Distributed under the terms of the GNU General Public License v2
-# $
-
-OO_EXTENSIONS=(
- "472ffb92d82cf502be039203c606643d-Sun-ODF-Template-Pack-en-US_1.0.0.oxt"
- "53ca5e56ccd4cab3693ad32c6bd13343-Sun-ODF-Template-Pack-de_1.0.0.oxt"
- "4ad003e7bbda5715f5f38fde1f707af2-Sun-ODF-Template-Pack-es_1.0.0.oxt"
- "a53080dc876edcddb26eb4c3c7537469-Sun-ODF-Template-Pack-fr_1.0.0.oxt"
- "09ec2dac030e1dcd5ef7fa1692691dc0-Sun-ODF-Template-Pack-hu_1.0.0.oxt"
- "b33775feda3bcf823cad7ac361fd49a6-Sun-ODF-Template-Pack-it_1.0.0.oxt"
-)
-
-inherit base rpm multilib versionator
-
-MY_LANG=${PN/libreoffice-l10n-/}
-MY_LANG=${MY_LANG/_/-}
-
-# export all the available functions here
-EXPORT_FUNCTIONS src_unpack src_prepare src_configure src_compile src_install
-
-# @ECLASS-VARIABLE: L10N_LANG
-# @DESCRIPTION:
-# Localization language name
-L10N_LANG="${L10N_LANG:-${MY_LANG}}"
-
-# @ECLASS-VARIABLE: HELPPACK_AVAIL
-# @DESCRIPTION:
-# Set this to "0" if help pack package is not available
-HELPPACK_AVAIL="${HELPPACK_AVAIL:-1}"
-
-# @ECLASS-VARIABLE: LANGPACK_AVAIL
-# @DESCRIPTION:
-# Set this to "0" if lang pack package is not available
-LANGPACK_AVAIL="${LANGPACK_AVAIL:-1}"
-
-DESCRIPTION="LibreOffice.org ${L10N_LANG} localisation"
-HOMEPAGE="http://www.documentfoundation.org"
-RESTRICT="mirror"
-
-L10N_VER="$(get_version_component_range 1-3)"
-L10N_RC_VERSION="$(get_version_component_range 4)"
-LO_BRANCH=$(get_version_component_range 1-2)
-
-if [ -n "${L10N_RC_VERSION}" ]; then
- # this is a RC, thus testing
- BASE_SRC_URI="http://download.documentfoundation.org/libreoffice/testing/${L10N_VER}/rpm"
- TARBALL_VERSION="${L10N_VER}.${L10N_RC_VERSION}"
-else
- BASE_SRC_URI="http://download.documentfoundation.org/libreoffice/stable/${L10N_VER}/rpm"
- TARBALL_VERSION="${L10N_VER}"
-fi
-SRC_URI=""
-if [ "$(get_version_component_range 1)" = "3" ]; then
- URI_PREFIX="LibO"
- RPM_SUFFIX_LANG="langpack-rpm"
- RPM_SUFFIX_HELP="helppack-rpm"
-else
- URI_PREFIX="LibreOffice"
- RPM_SUFFIX_LANG="rpm_langpack"
- RPM_SUFFIX_HELP="rpm_helppack"
-fi
-
-# remove "name_part" when not needed
-if [[ ${PV} = 4.2.6.* || ${PV} = 4.2.6 ]]; then
- name_part=-secfix
-else
- name_part=
-fi
-
-# try guessing
-if [ "${LANGPACK_AVAIL}" = "1" ]; then
- SRC_URI+="${BASE_SRC_URI}/x86/${URI_PREFIX}_${TARBALL_VERSION}${name_part}_Linux_x86_${RPM_SUFFIX_LANG}_${MY_LANG}.tar.gz"
-fi
-if [ "${HELPPACK_AVAIL}" = "1" ]; then
- SRC_URI+=" ${BASE_SRC_URI}/x86/${URI_PREFIX}_${TARBALL_VERSION}${name_part}_Linux_x86_${RPM_SUFFIX_HELP}_${MY_LANG}.tar.gz"
-fi
-
-unset name_part
-
-IUSE=""
-
-EXT_URI="http://ooo.itc.hu/oxygenoffice/download/libreoffice"
-TDEPEND=""
-if [[ "${MY_LANG}" == "en_US" ]]; then
- for i in ${OO_EXTENSIONS[@]}; do
- TDEPEND+=" ${EXT_URI}/${i}"
- done
- SRC_URI+=" templates? ( ${TDEPEND} )"
- IUSE+=" templates"
-fi
-
-LICENSE="LGPL-3"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-RDEPEND="=app-office/libreoffice-${LO_BRANCH}*"
-DEPEND="dev-util/pkgconfig
- dev-util/intltool"
-
-S="${WORKDIR}"
-
-OOO_INSTDIR="/usr/$(get_libdir)/libreoffice"
-
-libreoffice-l10n-2_src_unpack() {
- default
-
- local lang="${MY_LANG}"
- local dir=${lang/_/-}
- # for english we provide just helppack, as translation is always there
- if [[ "${LANGPACK_AVAIL}" == "1" ]]; then
- rpmdir="${URI_PREFIX}_${TARBALL_VERSION}"*"_Linux_x86_${RPM_SUFFIX_LANG}_${dir}/RPMS/"
- # First remove dictionaries, we want to use system ones.
- rm -rf "${S}/${rpmdir}/"*dict*.rpm
- einfo "Unpacking Langpack"
- rpm_unpack ./${rpmdir}/*.rpm
- fi
- if [[ "${HELPPACK_AVAIL}" == "1" ]]; then
- rpmdir="${URI_PREFIX}_${TARBALL_VERSION}"*"_Linux_x86_${RPM_SUFFIX_HELP}_${dir}/RPMS/"
- einfo "Unpacking Helppack"
- rpm_unpack ./${rpmdir}/*.rpm
- fi
- if [[ -n "${TDEPEND}" ]]; then
- if use templates; then
- for i in "${OO_EXTENSIONS[@]}"; do
- if [[ ! -f "${S}/${i}" ]]; then
- cp -v "${DISTDIR}/${i}" "${S}"
- ooextused+=( "${i}" )
- fi
- done
- fi
- fi
- OO_EXTENSIONS=()
- for i in "${ooextused[@]}"; do
- OO_EXTENSIONS+=( "${i}" )
- done
-}
-
-libreoffice-l10n-2_src_prepare() { :; }
-libreoffice-l10n-2_src_configure() { :; }
-libreoffice-l10n-2_src_compile() { :; }
-
-libreoffice-l10n-2_src_install() {
- local dir="${S}"/opt/libreoffice${LO_BRANCH}/
- # Condition required for people that do not install anything eg no linguas
- # or just english with no offlinehelp.
- if [[ -d "${dir}" ]] ; then
- insinto /usr/$(get_libdir)/libreoffice/
- doins -r "${dir}"/*
- fi
- # remove extensions that are in the l10n for some weird reason
- rm -rf "${ED}"/usr/$(get_libdir)/libreoffice/share/extensions/
-}
diff --git a/eclass/libreoffice-l10n.eclass b/eclass/libreoffice-l10n.eclass
deleted file mode 100644
index dc9c85e3..00000000
--- a/eclass/libreoffice-l10n.eclass
+++ /dev/null
@@ -1,124 +0,0 @@
-# Copyright 2004-2010 Sabayon Project
-# Distributed under the terms of the GNU General Public License v2
-# $
-
-inherit base rpm multilib
-
-MY_LANG=${PN/libreoffice-l10n-/}
-MY_LANG=${MY_LANG/_/-}
-PKG_PV="${PV}"
-
-# export all the available functions here
-EXPORT_FUNCTIONS src_unpack src_prepare src_install
-
-# @ECLASS-VARIABLE: L10N_LANG
-# @DESCRIPTION:
-# Localization language name
-L10N_LANG="${L10N_LANG:-${MY_LANG}}"
-
-# @ECLASS-VARIABLE: HELPPACK_AVAIL
-# @DESCRIPTION:
-# Set this to "0" if help pack package is not available
-HELPPACK_AVAIL="${HELPPACK_AVAIL:-1}"
-
-# @ECLASS-VARIABLE: LANGPACK_AVAIL
-# @DESCRIPTION:
-# Set this to "0" if lang pack package is not available
-LANGPACK_AVAIL="${LANGPACK_AVAIL:-1}"
-
-DESCRIPTION="LibreOffice.org ${L10N_LANG} localisation"
-HOMEPAGE="http://www.documentfoundation.org"
-RESTRICT="nomirror"
-OOVER="${PV}"
-OODLVER="${PV}"
-if [[ "${PV}" = "3.4.2.3" ]] || [[ "${PV}" = "3.4.3.2" ]]; then
- SRC_URI="http://download.documentfoundation.org/libreoffice/stable/3.4.2/rpm/x86/LibO_3.4.2_Linux_x86_langpack-rpm_${MY_LANG}.tar.gz"
- if [ "${HELPPACK_AVAIL}" = "1" ]; then
- SRC_URI+=" http://download.documentfoundation.org/libreoffice/stable/3.4.2/rpm/x86/LibO_3.4.2_Linux_x86_helppack-rpm_${MY_LANG}.tar.gz"
- fi
-elif [[ "${PV}" = "3.4.4.2" ]] || [[ "${PV}" = "3.5.0.0" ]]; then
- SRC_URI="http://download.documentfoundation.org/libreoffice/stable/3.4.4/rpm/x86/LibO_3.4.4_Linux_x86_langpack-rpm_${MY_LANG}.tar.gz"
- if [ "${HELPPACK_AVAIL}" = "1" ]; then
- SRC_URI+=" http://download.documentfoundation.org/libreoffice/stable/3.4.4/rpm/x86/LibO_3.4.4_Linux_x86_helppack-rpm_${MY_LANG}.tar.gz"
- fi
- if [[ "${PV}" = "3.5.0.0" ]]; then
- PKG_PV="3.4"
- fi
-elif [[ "${PV}" = "3.4.5.2" ]]; then
- SRC_URI="http://download.documentfoundation.org/libreoffice/stable/3.4.5/rpm/x86/LibO_3.4.5_Linux_x86_langpack-rpm_${MY_LANG}.tar.gz"
- if [ "${HELPPACK_AVAIL}" = "1" ]; then
- SRC_URI+=" http://download.documentfoundation.org/libreoffice/stable/3.4.5/rpm/x86/LibO_3.4.5_Linux_x86_helppack-rpm_${MY_LANG}.tar.gz"
- fi
-elif [[ "${PV}" = "3.5.1.2" ]]; then
- if [ "${LANGPACK_AVAIL}" = "1" ]; then
- SRC_URI="http://download.documentfoundation.org/libreoffice/stable/3.5.1/rpm/x86/LibO_3.5.1_Linux_x86_langpack-rpm_${MY_LANG}.tar.gz"
- fi
- if [ "${HELPPACK_AVAIL}" = "1" ]; then
- SRC_URI+=" http://download.documentfoundation.org/libreoffice/stable/3.5.1/rpm/x86/LibO_3.5.1_Linux_x86_helppack-rpm_${MY_LANG}.tar.gz"
- fi
-else
- die "unsupported libreoffice-l10n ${PV}"
-fi
-
-LICENSE="LGPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE=""
-
-RDEPEND="~app-office/libreoffice-${PV}"
-DEPEND="dev-util/pkgconfig
- dev-util/intltool"
-
-S="${WORKDIR}/*/RPMS"
-
-OOO_INSTDIR="/usr/$(get_libdir)/libreoffice"
-
-libreoffice-l10n_src_unpack() {
- cd "${WORKDIR}"
- unpack ${A}
- mkdir "${WORKDIR}/unpack"
- cd "${WORKDIR}/unpack"
- rpm_unpack ${S}/*.rpm
-
- # fix crappy rpms containing
- # duplicated dirs
- if [ "${PKG_PV:0:3}" = "3.5" ]; then
- dict_en_dir="${WORKDIR}/unpack"/opt/libreoffice${PKG_PV:0:3}/share/extensions/dict-en
- rm -rf "${dict_en_dir}"
- fi
-}
-
-libreoffice-l10n_src_prepare() {
- einfo "nothing to prepare"
-}
-
-libreoffice-l10n_src_install() {
- dodir "${OOO_INSTDIR}/basis-link"
- if [[ "${PKG_PV:0:3}" = "3.3" ]]; then
- cp -R "${WORKDIR}"/unpack/opt/libreoffice/basis${PKG_PV:0:3}/* \
- "${ED}${OOO_INSTDIR}/basis-link/" || die "cannot copy"
- cp -R "${WORKDIR}"/unpack/opt/libreoffice/{program,readmes} \
- "${ED}${OOO_INSTDIR}/" || die "cannot copy"
- elif [[ "${PKG_PV:0:3}" = "3.4" ]]; then
- if [[ "${PV:0:3}" = "3.4" ]]; then
- cp -R "${WORKDIR}"/unpack/opt/libreoffice${PKG_PV:0:3}/basis${PKG_PV:0:3} \
- "${ED}${OOO_INSTDIR}"/basis${PV:0:3} || die "cannot copy"
- else
- # 3.5 with old l10ns
- cp -R "${WORKDIR}"/unpack/opt/libreoffice${PKG_PV:0:3}/basis${PKG_PV:0:3}/* \
- "${ED}${OOO_INSTDIR}"/ || die "cannot copy"
- fi
- for source_dir in "${WORKDIR}"/unpack/opt/libreoffice${PKG_PV:0:3}/{program,readmes}; do
- if [ -d "${source_dir}" ]; then
- cp -R "${source_dir}" "${ED}${OOO_INSTDIR}/" || die "cannot copy"
- fi
- done
- else
- for source_dir in "${WORKDIR}"/unpack/opt/libreoffice${PKG_PV:0:3}/{help,program,readmes,share}; do
- if [ -d "${source_dir}" ]; then
- cp -R "${source_dir}" "${ED}${OOO_INSTDIR}/" || die "cannot copy"
- fi
- done
- fi
- chown root:root "${ED}/${OOO_INSTDIR}" -R || die "cannot chown"
-}
diff --git a/eclass/mozconfig-v6.38.eclass b/eclass/mozconfig-v6.38.eclass
deleted file mode 100644
index d2990bed..00000000
--- a/eclass/mozconfig-v6.38.eclass
+++ /dev/null
@@ -1,239 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/mozconfig-v5.38.eclass,v 1.1 2015/05/27 19:00:31 axs Exp $
-#
-# @ECLASS: mozconfig-v5.33.eclass
-# @MAINTAINER:
-# mozilla team <mozilla@gentoo.org>
-# @BLURB: the new mozilla common configuration eclass for FF33 and newer, v5
-# @DESCRIPTION:
-# This eclass is used in mozilla ebuilds (firefox, thunderbird, seamonkey)
-# to provide a single common place for the common mozilla engine compoments.
-#
-# The eclass provides all common dependencies as well as common use flags.
-#
-# Some use flags which may be optional in particular mozilla packages can be
-# supported through setting eclass variables.
-#
-# This eclass inherits mozconfig helper functions as defined in mozcoreconf-v3,
-# and so ebuilds inheriting this eclass do not need to inherit that.
-
-inherit multilib flag-o-matic toolchain-funcs mozcoreconf-v3
-
-case ${EAPI} in
- 0|1|2|3|4) die "EAPI=${EAPI} not supported"
-esac
-
-# @ECLASS-VARIABLE: MOZCONFIG_OPTIONAL_WIFI
-# @DESCRIPTION:
-# Set this variable before the inherit line, when an ebuild needs to provide
-# optional necko-wifi support via IUSE="wifi". Currently this would include
-# ebuilds for firefox, and potentially seamonkey.
-#
-# Leave the variable UNSET if necko-wifi support should not be available.
-# Set the variable to "enabled" if the use flag should be enabled by default.
-# Set the variable to any value if the use flag should exist but not be default-enabled.
-
-# @ECLASS-VARIABLE: MOZCONFIG_OPTIONAL_JIT
-# @DESCRIPTION:
-# Set this variable before the inherit line, when an ebuild needs to provide
-# optional necko-wifi support via IUSE="jit". Currently this would include
-# ebuilds for firefox, and potentially seamonkey.
-#
-# Leave the variable UNSET if optional jit support should not be available.
-# Set the variable to "enabled" if the use flag should be enabled by default.
-# Set the variable to any value if the use flag should exist but not be default-enabled.
-
-# use-flags common among all mozilla ebuilds
-IUSE="${IUSE} dbus debug gstreamer gstreamer-0 +jemalloc3 pulseaudio selinux startup-notification system-cairo system-icu system-jpeg system-sqlite system-libvpx"
-
-# some notes on deps:
-# gtk:2 minimum is technically 2.10 but gio support (enabled by default) needs 2.14
-# media-libs/mesa needs to be 10.2 or above due to a bug with flash+vdpau
-
-RDEPEND=">=app-text/hunspell-1.2
- dev-libs/atk
- dev-libs/expat
- >=dev-libs/libevent-1.4.7
- >=x11-libs/cairo-1.10[X]
- >=x11-libs/gtk+-2.18:2
- x11-libs/gdk-pixbuf
- >=x11-libs/pango-1.22.0
- >=media-libs/libpng-1.6.16:0=[apng]
- >=media-libs/mesa-10.2:*
- media-libs/fontconfig
- >=media-libs/freetype-2.4.10
- kernel_linux? ( media-libs/alsa-lib )
- pulseaudio? ( media-sound/pulseaudio )
- virtual/freedesktop-icon-theme
- dbus? ( >=sys-apps/dbus-0.60
- >=dev-libs/dbus-glib-0.72 )
- startup-notification? ( >=x11-libs/startup-notification-0.8 )
- >=dev-libs/glib-2.26:2
- >=sys-libs/zlib-1.2.3
- >=virtual/libffi-3.0.10
- gstreamer? (
- >=media-libs/gstreamer-1.4.5:1.0
- >=media-libs/gst-plugins-base-1.4.5:1.0
- >=media-libs/gst-plugins-good-1.4.5:1.0
- >=media-plugins/gst-plugins-libav-1.4.5:1.0
- )
- gstreamer-0? (
- media-plugins/gst-plugins-meta:0.10[ffmpeg]
- )
- x11-libs/libX11
- x11-libs/libXcomposite
- x11-libs/libXdamage
- x11-libs/libXext
- x11-libs/libXfixes
- x11-libs/libXrender
- x11-libs/libXt
- system-cairo? ( >=x11-libs/cairo-1.12[X] >=x11-libs/pixman-0.19.2 )
- system-icu? ( >=dev-libs/icu-51.1:= )
- system-jpeg? ( >=media-libs/libjpeg-turbo-1.2.1 )
- system-sqlite? ( >=dev-db/sqlite-3.8.8.2:3[secure-delete,debug=] )
- system-libvpx? ( >=media-libs/libvpx-1.3.0[postproc] )
-"
-
-if [[ -n ${MOZCONFIG_OPTIONAL_WIFI} ]]; then
- if [[ ${MOZCONFIG_OPTIONAL_WIFI} = "enabled" ]]; then
- IUSE+=" +wifi"
- else
- IUSE+=" wifi"
- fi
- RDEPEND+="
- wifi? ( >=sys-apps/dbus-0.60
- >=dev-libs/dbus-glib-0.72
- net-wireless/wireless-tools )"
-fi
-if [[ -n ${MOZCONFIG_OPTIONAL_JIT} ]]; then
- if [[ ${MOZCONFIG_OPTIONAL_JIT} = "enabled" ]]; then
- IUSE+=" +jit"
- else
- IUSE+=" jit"
- fi
-fi
-
-DEPEND="app-arch/zip
- app-arch/unzip
- >=sys-devel/binutils-2.16.1
- ${RDEPEND}"
-
-RDEPEND+="
- selinux? ( sec-policy/selinux-mozilla )"
-
-# only one of gstreamer and gstreamer-0 can be enabled at a time, so set REQUIRED_USE to signify this
-REQUIRED_USE="?? ( gstreamer gstreamer-0 )"
-
-# @FUNCTION: mozconfig_config
-# @DESCRIPTION:
-# Set common configure options for mozilla packages.
-# Call this within src_configure() phase, after mozconfig_init
-#
-# Example:
-#
-# inherit mozconfig-v5.33
-#
-# src_configure() {
-# mozconfig_init
-# mozconfig_config
-# # ... misc ebuild-unique settings via calls to
-# # ... mozconfig_{annotate,use_with,use_enable}
-# mozconfig_final
-# }
-
-mozconfig_config() {
- # Migrated from mozcoreconf-2
- mozconfig_annotate 'system_libs' \
- --with-system-zlib \
- --enable-pango \
- --enable-svg \
- --with-system-bz2
-
- mozconfig_annotate '' --enable-default-toolkit=cairo-gtk2
-
- if has bindist ${IUSE}; then
- mozconfig_use_enable !bindist official-branding
- if [[ ${PN} == firefox ]] && use bindist ; then
- mozconfig_annotate '' --with-branding=browser/branding/aurora
- fi
- fi
-
- mozconfig_use_enable debug
- mozconfig_use_enable debug tests
-
- if ! use debug ; then
- mozconfig_annotate 'disabled by Gentoo' --disable-debug-symbols
- else
- mozconfig_annotate 'enabled by Gentoo' --enable-debug-symbols
- fi
-
- mozconfig_use_enable startup-notification
-
- if [[ -n ${MOZCONFIG_OPTIONAL_WIFI} ]] ; then
- # wifi pulls in dbus so manage both here
- mozconfig_use_enable wifi necko-wifi
- if use wifi && ! use dbus; then
- echo "Enabling dbus support due to wifi request"
- mozconfig_annotate 'dbus required by necko-wifi' --enable-dbus
- else
- mozconfig_use_enable dbus
- fi
- else
- mozconfig_use_enable dbus
- mozconfig_annotate 'disabled' --disable-necko-wifi
- fi
-
- # These are forced-on for webm support
- mozconfig_annotate 'required' --enable-ogg
- mozconfig_annotate 'required' --enable-wave
-
- if [[ -n ${MOZCONFIG_OPTIONAL_JIT} ]]; then
- mozconfig_use_enable jit ion
- fi
-
- # These are enabled by default in all mozilla applications
- mozconfig_annotate '' --with-system-nspr --with-nspr-prefix="${EPREFIX}"/usr
- mozconfig_annotate '' --with-system-nss --with-nss-prefix="${EPREFIX}"/usr
- mozconfig_annotate '' --x-includes="${EPREFIX}"/usr/include --x-libraries="${EPREFIX}"/usr/$(get_libdir)
- mozconfig_annotate '' --with-system-libevent="${EPREFIX}"/usr
- mozconfig_annotate '' --prefix="${EPREFIX}"/usr
- mozconfig_annotate '' --libdir="${EPREFIX}"/usr/$(get_libdir)
- mozconfig_annotate 'Gentoo default' --enable-system-hunspell
- mozconfig_annotate '' --disable-gnomevfs
- mozconfig_annotate '' --disable-gnomeui
- mozconfig_annotate '' --enable-gio
- mozconfig_annotate '' --disable-crashreporter
- mozconfig_annotate 'Gentoo default' --with-system-png
- mozconfig_annotate '' --enable-system-ffi
- mozconfig_annotate 'Gentoo default to honor system linker' --disable-gold
- mozconfig_annotate '' --disable-gconf
-
- # Use jemalloc unless libc is not glibc >= 2.4
- # at this time the minimum glibc in the tree is 2.9 so we should be safe.
- if use elibc_glibc && use jemalloc3; then
- # We must force-enable jemalloc 3 via .mozconfig
- echo "export MOZ_JEMALLOC3=1" >> "${S}"/.mozconfig || die
- mozconfig_annotate '' --enable-jemalloc
- mozconfig_annotate '' --enable-replace-malloc
- fi
-
- mozconfig_annotate '' --target="${CTARGET:-${CHOST}}"
- mozconfig_annotate '' --build="${CTARGET:-${CHOST}}"
-
- if use gstreamer ; then
- mozconfig_annotate '+gstreamer' --enable-gstreamer=1.0
- elif use gstreamer-0 ; then
- mozconfig_annotate '+gstreamer-0' --enable-gstreamer=0.10
- else
- mozconfig_annotate '' --disable-gstreamer
- fi
- mozconfig_use_enable pulseaudio
-
- mozconfig_use_enable system-cairo
- mozconfig_use_enable system-sqlite
- mozconfig_use_with system-jpeg
- mozconfig_use_with system-icu
- mozconfig_use_enable system-icu intl-api
- mozconfig_use_with system-libvpx
-}
diff --git a/eclass/openoffice-l10n.eclass b/eclass/openoffice-l10n.eclass
deleted file mode 100644
index 46d15d76..00000000
--- a/eclass/openoffice-l10n.eclass
+++ /dev/null
@@ -1,68 +0,0 @@
-# Copyright 2004-2010 Sabayon Project
-# Distributed under the terms of the GNU General Public License v2
-# $
-
-EAPI="2"
-
-inherit base rpm multilib
-
-MY_LANG=${PN/openoffice-l10n-/}
-MY_LANG=${MY_LANG/_/-}
-MY_PV="${PV/_/}"
-
-# export all the available functions here
-EXPORT_FUNCTIONS src_unpack src_prepare src_install
-
-# @ECLASS-VARIABLE: L10N_LANG
-# @DESCRIPTION:
-# Localization language name
-L10N_LANG="${L10N_LANG:-${MY_LANG}}"
-
-DESCRIPTION="OpenOffice.org ${L10N_LANG} localisation"
-HOMEPAGE="http://projects.openoffice.org/native-lang.html"
-if [[ "${PV}" = "3.2.0" ]]; then
- SRC_URI="mirror://openoffice-extended/${PV}rc5/OOo_${PV}rc5_20100203_LinuxIntel_langpack_${MY_LANG}.tar.gz"
-elif [[ "${PV}" = "3.2.1" ]]; then
- SRC_URI="mirror://openoffice-extended/${PV}rc2/OOo_${PV}rc2_20100521_Linux_x86_langpack-rpm_${MY_LANG}.tar.gz"
-else
- SRC_URI="--NOT_SET_SEE_openoffice-l10n.eclass--"
-fi
-
-LICENSE="LGPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE=""
-
-RDEPEND="~app-office/openoffice-${PV}"
-DEPEND="dev-util/pkgconfig
- dev-util/intltool"
-
-S="${WORKDIR}/*/RPMS"
-
-OOO_INSTDIR="/usr/$(get_libdir)/openoffice"
-
-openoffice-l10n_src_unpack() {
- cd "${WORKDIR}"
- unpack "${A}"
- mkdir "${WORKDIR}/unpack"
- cd "${WORKDIR}/unpack"
- rpm_unpack ${S}/*.rpm
-}
-
-openoffice-l10n_src_prepare() {
- einfo "nothing to prepare"
-}
-
-openoffice-l10n_src_install() {
- dodir "${OOO_INSTDIR}"
- local MY_SRC="${WORKDIR}/unpack/opt/openoffice.org/*"
- local MY_SRC2="${WORKDIR}/unpack/opt/openoffice.org3/*"
- cp -R ${MY_SRC} "${D}${OOO_INSTDIR}/" || die "cannot copy"
- cp -R ${MY_SRC2} "${D}${OOO_INSTDIR}/basis${PV:0:3}/" || die "cannot copy"
- # FIXME: upstream bug, localisations listed below try to install the same file
- # as ast bg bn dz el eo fi ga gu hi_IN km ku lv mk ml mr my oc om or pa_IN si ta te tr ug uk uz
- local dict_file="${D}${OOO_INSTDIR}/basis${PV:0:3}/share/extension/install/dict-en.oxt"
- [[ -f "${dict_file}" ]] && ewarn "Removing ${dict_file} due to collisions..." \
- && rm -f "${dict_file}"
- chown root:root ${D}/${OOO_INSTDIR} -R
-}
diff --git a/eclass/spl-zfs-kernel.eclass b/eclass/spl-zfs-kernel.eclass
deleted file mode 100644
index 74fb8589..00000000
--- a/eclass/spl-zfs-kernel.eclass
+++ /dev/null
@@ -1,183 +0,0 @@
-# Copyright 2004-2012 Sabayon Linux
-# Distributed under the terms of the GNU General Public License v2
-# $
-
-AT_M4DIR="config"
-AUTOTOOLS_AUTORECONF="1"
-AUTOTOOLS_IN_SOURCE_BUILD="1"
-
-inherit eutils flag-o-matic git-2 linux-mod autotools-utils
-
-# export all the available functions here
-EXPORT_FUNCTIONS pkg_setup src_unpack src_prepare src_configure src_compile src_install pkg_preinst pkg_postinst pkg_postrm
-
-# @ECLASS-VARIABLE: ZFS_GIT_REPO
-# @DESCRIPTION:
-# Identified the ZFS Git repo from where to pull
-ZFS_GIT_REPO="${ZFS_GIT_REPO:-}"
-
-# @ECLASS-VARIABLE: ZFS_GIT_BRANCH
-# @DESCRIPTION:
-# Identified the ZFS Git branch from where to pull
-ZFS_GIT_BRANCH="${ZFS_GIT_BRANCH:-}"
-
-# @ECLASS-VARIABLE: ZFS_GIT_COMMIT
-# @DESCRIPTION:
-# Identified the ZFS Git commit from where to pull
-ZFS_GIT_COMMIT="${ZFS_GIT_COMMIT:-}"
-
-# @ECLASS-VARIABLE: SPL_GIT_REPO
-# @DESCRIPTION:
-# Identified the SPL Git repo from where to pull
-SPL_GIT_REPO="${SPL_GIT_REPO:-}"
-
-# @ECLASS-VARIABLE: SPL_GIT_BRANCH
-# @DESCRIPTION:
-# Identified the SPL Git branch from where to pull
-SPL_GIT_BRANCH="${SPL_GIT_BRANCH:-}"
-
-# @ECLASS-VARIABLE: SPL_GIT_COMMIT
-# @DESCRIPTION:
-# Identified the SPL Git commit from where to pull
-SPL_GIT_COMMIT="${SPL_GIT_COMMIT:-}"
-
-SRC_URI=""
-
-DESCRIPTION="The Solaris Porting Layer Linux kernel module and ZFS Filesystem"
-HOMEPAGE="http://zfsonlinux.org/"
-
-LICENSE="|| ( GPL-2 GPL-3 ) CDDL"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="custom-cflags debug"
-
-RDEPEND+="!sys-devel/spl ~sys-fs/zfs-userspace-${PV}"
-
-SPL_S="${S}/spl-src"
-ZFS_S="${S}/zfs-src"
-
-spl-zfs-kernel_pkg_setup() {
- CONFIG_CHECK="
- !DEBUG_LOCK_ALLOC
- BLK_DEV_LOOP
- EFI_PARTITION
- MODULES
- KALLSYMS
- ZLIB_DEFLATE
- ZLIB_INFLATE"
- kernel_is ge 2 6 26 || die "Linux 2.6.26 or newer required"
- check_extra_config
-}
-
-spl-zfs-kernel_src_unpack() {
- # unpack spl
- EGIT_REPO_URI="${SPL_GIT_REPO}" \
- EGIT_BRANCH="${SPL_GIT_BRANCH}" \
- EGIT_COMMIT="${SPL_GIT_COMMIT}" \
- EGIT_SOURCEDIR="${SPL_S}" \
- git-2_src_unpack
-
- # unpack zfs
- EGIT_REPO_URI="${ZFS_GIT_REPO}" \
- EGIT_BRANCH="${ZFS_GIT_BRANCH}" \
- EGIT_COMMIT="${ZFS_GIT_COMMIT}" \
- EGIT_SOURCEDIR="${ZFS_S}" \
- git-2_src_unpack
-}
-
-_zfs_src_prepare() {
- # Workaround for hard coded path
- sed -i "s|/sbin/lsmod|/bin/lsmod|" "${ZFS_S}"/scripts/common.sh.in || die
- # Workaround rename
- sed -i "s|/usr/bin/scsi-rescan|/usr/sbin/rescan-scsi-bus|" "${ZFS_S}"/scripts/common.sh.in || die
- cd "${ZFS_S}" && ECONF_SOURCE="${ZFS_S}" autotools-utils_src_prepare
-}
-
-_spl_src_prepare() {
- # Workaround for hard coded path
- sed -i "s|/sbin/lsmod|/bin/lsmod|" "${SPL_S}"/scripts/check.sh || die
- cd "${SPL_S}" && ECONF_SOURCE="${SPL_S}" autotools-utils_src_prepare
-}
-
-spl-zfs-kernel_src_prepare() {
- _spl_src_prepare
- _zfs_src_prepare
-}
-
-_zfs_src_configure() {
- use custom-cflags || strip-flags
- set_arch_to_kernel
-
- local myeconfargs=(
- --bindir="${EPREFIX}/bin"
- --sbindir="${EPREFIX}/sbin"
- --with-config=kernel
- --with-linux="${KV_DIR}"
- --with-linux-obj="${KV_OUT_DIR}"
- --with-udevdir="${EPREFIX}/lib/udev"
- $(use_enable debug)
- --with-spl="${SPL_S}"
- )
- cd "${ZFS_S}" && ECONF_SOURCE="${ZFS_S}" autotools-utils_src_configure
-}
-
-_spl_src_configure() {
- use custom-cflags || strip-flags
- set_arch_to_kernel
-
- local myeconfargs=(
- --bindir="${EPREFIX}/bin"
- --sbindir="${EPREFIX}/sbin"
- --with-config=all
- --with-linux="${KV_DIR}"
- --with-linux-obj="${KV_OUT_DIR}"
- $(use_enable debug)
- --with-config=kernel
- )
- cd "${SPL_S}" && ECONF_SOURCE="${SPL_S}" autotools-utils_src_configure
-}
-
-spl-zfs-kernel_src_configure() {
- _spl_src_configure
- _zfs_src_configure
-}
-
-_zfs_src_compile() {
- cd "${ZFS_S}" && ECONF_SOURCE="${ZFS_S}" autotools-utils_src_compile
-}
-
-_spl_src_compile() {
- cd "${SPL_S}" && ECONF_SOURCE="${SPL_S}" autotools-utils_src_compile
-}
-
-spl-zfs-kernel_src_compile() {
- _spl_src_compile
- _zfs_src_compile
-}
-
-_zfs_src_install() {
- cd "${ZFS_S}" && ECONF_SOURCE="${ZFS_S}" autotools-utils_src_install
- rm -rf "${ED}"/usr # make sure
-}
-
-_spl_src_install() {
- cd "${SPL_S}" && ECONF_SOURCE="${SPL_S}" autotools-utils_src_install
- rm -rf "${ED}"/usr # make sure
-}
-
-spl-zfs-kernel_src_install() {
- _spl_src_install
- _zfs_src_install
-}
-
-spl-zfs-kernel_pkg_preinst() {
- linux-mod_pkg_preinst
-}
-
-spl-zfs-kernel_pkg_postinst() {
- linux-mod_pkg_postinst
-}
-
-spl-zfs-kernel_pkg_postrm() {
- linux-mod_pkg_postrm
-}
diff --git a/eclass/spl-zfs-userspace.eclass b/eclass/spl-zfs-userspace.eclass
deleted file mode 100644
index 33c211a6..00000000
--- a/eclass/spl-zfs-userspace.eclass
+++ /dev/null
@@ -1,218 +0,0 @@
-# Copyright 2004-2012 Sabayon Linux
-# Distributed under the terms of the GNU General Public License v2
-# $
-
-AT_M4DIR="config"
-AUTOTOOLS_AUTORECONF="1"
-AUTOTOOLS_IN_SOURCE_BUILD="1"
-
-inherit eutils flag-o-matic git-2 linux-mod autotools-utils
-
-# export all the available functions here
-EXPORT_FUNCTIONS pkg_setup src_unpack src_prepare src_configure src_compile src_install src_test
-
-# @ECLASS-VARIABLE: ZFS_GIT_REPO
-# @DESCRIPTION:
-# Identified the ZFS Git repo from where to pull
-ZFS_GIT_REPO="${ZFS_GIT_REPO:-}"
-
-# @ECLASS-VARIABLE: ZFS_GIT_BRANCH
-# @DESCRIPTION:
-# Identified the ZFS Git branch from where to pull
-ZFS_GIT_BRANCH="${ZFS_GIT_BRANCH:-}"
-
-# @ECLASS-VARIABLE: ZFS_GIT_COMMIT
-# @DESCRIPTION:
-# Identified the ZFS Git commit from where to pull
-ZFS_GIT_COMMIT="${ZFS_GIT_COMMIT:-}"
-
-# @ECLASS-VARIABLE: SPL_GIT_REPO
-# @DESCRIPTION:
-# Identified the SPL Git repo from where to pull
-SPL_GIT_REPO="${SPL_GIT_REPO:-}"
-
-# @ECLASS-VARIABLE: SPL_GIT_BRANCH
-# @DESCRIPTION:
-# Identified the SPL Git branch from where to pull
-SPL_GIT_BRANCH="${SPL_GIT_BRANCH:-}"
-
-# @ECLASS-VARIABLE: SPL_GIT_COMMIT
-# @DESCRIPTION:
-# Identified the SPL Git commit from where to pull
-SPL_GIT_COMMIT="${SPL_GIT_COMMIT:-}"
-
-SRC_URI=""
-
-DESCRIPTION="The Solaris Porting Layer and ZFS Filesystem userspace utilities"
-HOMEPAGE="http://zfsonlinux.org/"
-
-LICENSE="|| ( GPL-2 GPL-3 ) CDDL"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-IUSE="custom-cflags debug dracut +rootfs test test-suite static-libs"
-DEPEND+=" sys-apps/util-linux[static-libs?]
- sys-libs/zlib[static-libs(+)?]"
-RDEPEND+=" ${DEPEND}
- !sys-fs/zfs-fuse
- !prefix? ( sys-fs/udev )
- test-suite? (
- sys-apps/gawk
- sys-apps/util-linux
- sys-devel/bc
- sys-block/parted
- sys-fs/lsscsi
- sys-fs/mdadm
- sys-process/procps
- virtual/modutils
- )
- rootfs? (
- app-arch/cpio
- app-misc/pax-utils
- )"
-DEPEND+=" test? ( sys-fs/mdadm )"
-
-SPL_S="${S}/spl-src"
-ZFS_S="${S}/zfs-src"
-
-spl-zfs-userspace_pkg_setup() {
- CONFIG_CHECK="
- !DEBUG_LOCK_ALLOC
- BLK_DEV_LOOP
- EFI_PARTITION
- MODULES
- KALLSYMS
- ZLIB_DEFLATE
- ZLIB_INFLATE"
- kernel_is ge 2 6 26 || die "Linux 2.6.26 or newer required"
- check_extra_config
-}
-
-spl-zfs-userspace_src_unpack() {
- # unpack spl
- EGIT_REPO_URI="${SPL_GIT_REPO}" \
- EGIT_BRANCH="${SPL_GIT_BRANCH}" \
- EGIT_COMMIT="${SPL_GIT_COMMIT}" \
- EGIT_SOURCEDIR="${SPL_S}" \
- git-2_src_unpack
-
- # unpack zfs
- EGIT_REPO_URI="${ZFS_GIT_REPO}" \
- EGIT_BRANCH="${ZFS_GIT_BRANCH}" \
- EGIT_COMMIT="${ZFS_GIT_COMMIT}" \
- EGIT_SOURCEDIR="${ZFS_S}" \
- git-2_src_unpack
-}
-
-_zfs_src_prepare() {
- # Workaround for hard coded path
- sed -i "s|/sbin/lsmod|/bin/lsmod|" "${ZFS_S}"/scripts/common.sh.in || die
- # Workaround rename
- sed -i "s|/usr/bin/scsi-rescan|/usr/sbin/rescan-scsi-bus|" "${ZFS_S}"/scripts/common.sh.in || die
- cd "${ZFS_S}" && ECONF_SOURCE="${ZFS_S}" autotools-utils_src_prepare
-}
-
-_spl_src_prepare() {
- # Workaround for hard coded path
- sed -i "s|/sbin/lsmod|/bin/lsmod|" "${SPL_S}"/scripts/check.sh || die
- cd "${SPL_S}" && ECONF_SOURCE="${SPL_S}" autotools-utils_src_prepare
-}
-
-spl-zfs-userspace_src_prepare() {
- _spl_src_prepare
- _zfs_src_prepare
-}
-
-_zfs_src_configure() {
- use custom-cflags || strip-flags
- set_arch_to_kernel
-
- local myeconfargs=(
- --bindir="${EPREFIX}/bin"
- --sbindir="${EPREFIX}/sbin"
- --with-config=user
- --with-linux="${KV_DIR}"
- --with-linux-obj="${KV_OUT_DIR}"
- --with-udevdir="${EPREFIX}/lib/udev"
- $(use_enable debug)
- --with-spl="${SPL_S}"
- )
- cd "${ZFS_S}" && ECONF_SOURCE="${ZFS_S}" autotools-utils_src_configure
-}
-
-_spl_src_configure() {
- use custom-cflags || strip-flags
- set_arch_to_kernel
-
- local myeconfargs=(
- --bindir="${EPREFIX}/bin"
- --sbindir="${EPREFIX}/sbin"
- --with-config=all
- --with-linux="${KV_DIR}"
- --with-linux-obj="${KV_OUT_DIR}"
- $(use_enable debug)
- --with-config=user
- )
- cd "${SPL_S}" && ECONF_SOURCE="${SPL_S}" autotools-utils_src_configure
-}
-
-spl-zfs-userspace_src_configure() {
- _spl_src_configure
- _zfs_src_configure
-}
-
-_zfs_src_compile() {
- cd "${ZFS_S}" && ECONF_SOURCE="${ZFS_S}" autotools-utils_src_compile
-}
-
-_spl_src_compile() {
- cd "${SPL_S}" && ECONF_SOURCE="${SPL_S}" autotools-utils_src_compile
-}
-
-spl-zfs-userspace_src_compile() {
- _spl_src_compile
- _zfs_src_compile
-}
-
-_zfs_src_install() {
- cd "${ZFS_S}" && ECONF_SOURCE="${ZFS_S}" autotools-utils_src_install
- gen_usr_ldscript -a uutil nvpair zpool zfs
- use dracut || rm -rf "${ED}usr/share/dracut"
- use test-suite || rm -rf "${ED}usr/libexec"
-
- if use rootfs
- then
- doinitd "${FILESDIR}/zfs-shutdown"
- exeinto /usr/share/zfs
- doexe "${FILESDIR}/linuxrc"
- fi
-}
-
-_spl_src_install() {
- cd "${SPL_S}" && ECONF_SOURCE="${SPL_S}" autotools-utils_src_install
- rm -rf "${ED}"/usr # make sure
-}
-
-spl-zfs-userspace_src_install() {
- _spl_src_install
- _zfs_src_install
-}
-
-spl-zfs-userspace_src_test() {
- if [[ ! -e /proc/modules ]]
- then
- die "Missing /proc/modules"
- elif [[ $UID -ne 0 ]]
- then
- ewarn "Cannot run make check tests with FEATURES=userpriv."
- ewarn "Skipping make check tests."
- elif grep -q '^spl ' /proc/modules
- then
- ewarn "Cannot run make check tests with module spl loaded."
- ewarn "Skipping make check tests."
- else
- cd "${SPL_S}" && ECONF_SOURCE="${SPL_S}" autotools-utils_src_test
- cd "${ZFS_S}" && ECONF_SOURCE="${ZFS_S}" autotools-utils_src_test
- fi
-}
-
diff --git a/eclass/webapp.eclass b/eclass/webapp.eclass
deleted file mode 100644
index 150f7ac3..00000000
--- a/eclass/webapp.eclass
+++ /dev/null
@@ -1,575 +0,0 @@
-# Copyright 1999-2006 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/webapp.eclass,v 1.66 2011/05/19 12:05:13 scarabeus Exp $
-
-# @ECLASS: webapp.eclass
-# @MAINTAINER:
-# web-apps@gentoo.org
-# @BLURB: functions for installing applications to run under a web server
-# @DESCRIPTION:
-# The webapp eclass contains functions to handle web applications with
-# webapp-config. Part of the implementation of GLEP #11
-
-# @ECLASS-VARIABLE: WEBAPP_DEPEND
-# @DESCRIPTION:
-# An ebuild should use WEBAPP_DEPEND if a custom DEPEND needs to be built, most
-# notably in combination with WEBAPP_OPTIONAL.
-WEBAPP_DEPEND=">=app-admin/webapp-config-1.50.15"
-
-# @ECLASS-VARIABLE: WEBAPP_NO_AUTO_INSTALL
-# @DESCRIPTION:
-# An ebuild sets this to `yes' if an automatic installation and/or upgrade is
-# not possible. The ebuild should overwrite pkg_postinst() and explain the
-# reason for this BEFORE calling webapp_pkg_postinst().
-
-# @ECLASS-VARIABLE: WEBAPP_OPTIONAL
-# @DESCRIPTION:
-# An ebuild sets this to `yes' to make webapp support optional, in which case
-# you also need to take care of USE-flags and dependencies.
-
-if [[ "${WEBAPP_OPTIONAL}" != "yes" ]]; then
- [[ "${WEBAPP_NO_AUTO_INSTALL}" == "yes" ]] || IUSE="vhosts"
- SLOT="${PVR}"
- DEPEND="${WEBAPP_DEPEND}"
- RDEPEND="${DEPEND}"
-fi
-
-EXPORT_FUNCTIONS pkg_postinst pkg_setup src_install pkg_prerm
-
-INSTALL_DIR="/${PN}"
-IS_UPGRADE=0
-IS_REPLACE=0
-
-INSTALL_CHECK_FILE="installed_by_webapp_eclass"
-SETUP_CHECK_FILE="setup_by_webapp_eclass"
-
-ETC_CONFIG="${ROOT}etc/vhosts/webapp-config"
-WEBAPP_CONFIG="${ROOT}usr/sbin/webapp-config"
-WEBAPP_CLEANER="${ROOT}usr/sbin/webapp-cleaner"
-
-# ==============================================================================
-# INTERNAL FUNCTIONS
-# ==============================================================================
-
-# Load the config file /etc/vhosts/webapp-config
-# Supports both the old bash version, and the new python version
-webapp_read_config() {
- debug-print-function $FUNCNAME $*
-
- if has_version '>=app-admin/webapp-config-1.50'; then
- ENVVAR=$(${WEBAPP_CONFIG} --query ${PN} ${PVR}) || die "Could not read settings from webapp-config!"
- eval ${ENVVAR}
- else
- . ${ETC_CONFIG} || die "Unable to read ${ETC_CONFIG}"
- fi
-}
-
-# Check whether a specified file exists in the given directory (`.' by default)
-webapp_checkfileexists() {
- debug-print-function $FUNCNAME $*
-
- local my_prefix=${2:+${2}/}
-
- if [[ ! -e "${my_prefix}${1}" ]]; then
- msg="ebuild fault: file '${1}' not found"
- eerror "$msg"
- eerror "Please report this as a bug at http://bugs.gentoo.org/"
- die "$msg"
- fi
-}
-
-webapp_check_installedat() {
- debug-print-function $FUNCNAME $*
- ${WEBAPP_CONFIG} --show-installed -h localhost -d "${INSTALL_DIR}" 2> /dev/null
-}
-
-webapp_strip_appdir() {
- debug-print-function $FUNCNAME $*
- echo "${1#${MY_APPDIR}/}"
-}
-
-webapp_strip_d() {
- debug-print-function $FUNCNAME $*
- echo "${1#${D}}"
-}
-
-webapp_strip_cwd() {
- debug-print-function $FUNCNAME $*
- echo "${1/#.\///}"
-}
-
-webapp_getinstalltype() {
- debug-print-function $FUNCNAME $*
-
- if ! has vhosts ${IUSE} || use vhosts; then
- return
- fi
-
- local my_output
- my_output="$(webapp_check_installedat)"
-
- if [[ $? -eq 0 ]]; then
- # something is already installed there
- # make sure it isn't the same version
-
- local my_pn="$(echo ${my_output} | awk '{ print $1 }')"
- local my_pvr="$(echo ${my_output} | awk '{ print $2 }')"
-
- REMOVE_PKG="${my_pn}-${my_pvr}"
-
- if [[ "${my_pn}" == "${PN}" ]]; then
- if [[ "${my_pvr}" != "${PVR}" ]]; then
- elog "This is an upgrade"
- IS_UPGRADE=1
- # for binpkgs, reset status, var declared in global scope
- IS_REPLACE=0
- else
- elog "This is a re-installation"
- IS_REPLACE=1
- # for binpkgs, reset status, var declared in global scope
- IS_UPGRADE=0
- fi
- else
- elog "${my_output} is installed there"
- fi
- else
- # for binpkgs, reset status, var declared in global scope
- IS_REPLACE=0
- IS_UPGRADE=0
- elog "This is an installation"
- fi
-}
-
-# ==============================================================================
-# PUBLIC FUNCTIONS
-# ==============================================================================
-
-# @FUNCTION: need_httpd
-# @DESCRIPTION:
-# Call this function AFTER your ebuilds DEPEND line if any of the available
-# webservers are able to run this application.
-need_httpd() {
- DEPEND="${DEPEND}
- || ( virtual/httpd-basic virtual/httpd-cgi virtual/httpd-fastcgi )"
-}
-
-# @FUNCTION: need_httpd_cgi
-# @DESCRIPTION:
-# Call this function AFTER your ebuilds DEPEND line if any of the available
-# CGI-capable webservers are able to run this application.
-need_httpd_cgi() {
- DEPEND="${DEPEND}
- || ( virtual/httpd-cgi virtual/httpd-fastcgi )"
-}
-
-# @FUNCTION: need_httpd_fastcgi
-# @DESCRIPTION:
-# Call this function AFTER your ebuilds DEPEND line if any of the available
-# FastCGI-capabale webservers are able to run this application.
-need_httpd_fastcgi() {
- DEPEND="${DEPEND}
- virtual/httpd-fastcgi"
-}
-
-# @FUNCTION: webapp_configfile
-# @USAGE: <file> [more files ...]
-# @DESCRIPTION:
-# Mark a file config-protected for a web-based application.
-webapp_configfile() {
- debug-print-function $FUNCNAME $*
-
- local m
- for m in "$@"; do
- webapp_checkfileexists "${m}" "${D}"
-
- local my_file="$(webapp_strip_appdir "${m}")"
- my_file="$(webapp_strip_cwd "${my_file}")"
-
- elog "(config) ${my_file}"
- echo "${my_file}" >> ${D}/${WA_CONFIGLIST}
- done
-}
-
-# @FUNCTION: webapp_hook_script
-# @USAGE: <file>
-# @DESCRIPTION:
-# Install a script that will run after a virtual copy is created, and
-# before a virtual copy has been removed.
-webapp_hook_script() {
- debug-print-function $FUNCNAME $*
-
- webapp_checkfileexists "${1}"
-
- elog "(hook) ${1}"
- cp "${1}" "${D}/${MY_HOOKSCRIPTSDIR}/$(basename "${1}")" || die "Unable to install ${1} into ${D}/${MY_HOOKSCRIPTSDIR}/"
- chmod 555 "${D}/${MY_HOOKSCRIPTSDIR}/$(basename "${1}")"
-}
-
-# @FUNCTION: webapp_postinst_txt
-# @USAGE: <lang> <file>
-# @DESCRIPTION:
-# Install a text file containing post-installation instructions.
-webapp_postinst_txt() {
- debug-print-function $FUNCNAME $*
-
- webapp_checkfileexists "${2}"
-
- elog "(info) ${2} (lang: ${1})"
- cp "${2}" "${D}/${MY_APPDIR}/postinst-${1}.txt"
-}
-
-# @FUNCTION: webapp_postupgrade_txt
-# @USAGE: <lang> <file>
-# @DESCRIPTION:
-# Install a text file containing post-upgrade instructions.
-webapp_postupgrade_txt() {
- debug-print-function $FUNCNAME $*
-
- webapp_checkfileexists "${2}"
-
- elog "(info) ${2} (lang: ${1})"
- cp "${2}" "${D}/${MY_APPDIR}/postupgrade-${1}.txt"
-}
-
-# helper for webapp_serverowned()
-_webapp_serverowned() {
- debug-print-function $FUNCNAME $*
-
- webapp_checkfileexists "${1}" "${D}"
- local my_file="$(webapp_strip_appdir "${1}")"
- my_file="$(webapp_strip_cwd "${my_file}")"
-
- elog "(server owned) ${my_file}"
- echo "${my_file}" >> "${D}/${WA_SOLIST}"
-}
-
-# @FUNCTION: webapp_serverowned
-# @USAGE: [-R] <file> [more files ...]
-# @DESCRIPTION:
-# Identify a file which must be owned by the webserver's user:group settings.
-# The ownership of the file is NOT set until the application is installed using
-# the webapp-config tool. If -R is given directories are handled recursively.
-webapp_serverowned() {
- debug-print-function $FUNCNAME $*
-
- local a m
- if [[ "${1}" == "-R" ]]; then
- shift
- for m in "$@"; do
- find "${D}${m}" | while read a; do
- a=$(webapp_strip_d "${a}")
- _webapp_serverowned "${a}"
- done
- done
- else
- for m in "$@"; do
- _webapp_serverowned "${m}"
- done
- fi
-}
-
-# @FUNCTION: webapp_server_configfile
-# @USAGE: <server> <file> [new name]
-# @DESCRIPTION:
-# Install a configuration file for the webserver. You need to specify a
-# webapp-config supported <server>. if no new name is given `basename $2' is
-# used by default. Note: this function will automagically prepend $1 to the
-# front of your config file's name.
-webapp_server_configfile() {
- debug-print-function $FUNCNAME $*
-
- webapp_checkfileexists "${2}"
-
- # WARNING:
- #
- # do NOT change the naming convention used here without changing all
- # the other scripts that also rely upon these names
-
- local my_file="${1}-${3:-$(basename "${2}")}"
-
- elog "(${1}) config file '${my_file}'"
- cp "${2}" "${D}/${MY_SERVERCONFIGDIR}/${my_file}"
-}
-
-# @FUNCTION: webapp_sqlscript
-# @USAGE: <db> <file> [version]
-# @DESCRIPTION:
-# Install a SQL script that creates/upgrades a database schema for the web
-# application. Currently supported database engines are mysql and postgres.
-# If a version is given the script should upgrade the database schema from
-# the given version to $PVR.
-webapp_sqlscript() {
- debug-print-function $FUNCNAME $*
-
- webapp_checkfileexists "${2}"
-
- dodir "${MY_SQLSCRIPTSDIR}/${1}"
-
- # WARNING:
- #
- # do NOT change the naming convention used here without changing all
- # the other scripts that also rely upon these names
-
- if [[ -n "${3}" ]]; then
- elog "(${1}) upgrade script for ${PN}-${3} to ${PVR}"
- cp "${2}" "${D}${MY_SQLSCRIPTSDIR}/${1}/${3}_to_${PVR}.sql"
- chmod 600 "${D}${MY_SQLSCRIPTSDIR}/${1}/${3}_to_${PVR}.sql"
- else
- elog "(${1}) create script for ${PN}-${PVR}"
- cp "${2}" "${D}/${MY_SQLSCRIPTSDIR}/${1}/${PVR}_create.sql"
- chmod 600 "${D}/${MY_SQLSCRIPTSDIR}/${1}/${PVR}_create.sql"
- fi
-}
-
-# @FUNCTION: webapp_src_preinst
-# @DESCRIPTION:
-# You need to call this function in src_install() BEFORE anything else has run.
-# For now we just create required webapp-config directories.
-webapp_src_preinst() {
- debug-print-function $FUNCNAME $*
-
- # sanity checks, to catch bugs in the ebuild
- if [[ ! -f "${T}/${SETUP_CHECK_FILE}" ]]; then
- eerror
- eerror "This ebuild did not call webapp_pkg_setup() at the beginning"
- eerror "of the pkg_setup() function"
- eerror
- eerror "Please log a bug on http://bugs.gentoo.org"
- eerror
- eerror "You should use emerge -C to remove this package, as the"
- eerror "installation is incomplete"
- eerror
- die "Ebuild did not call webapp_pkg_setup() - report to http://bugs.gentoo.org"
- fi
-
- # Hint, see the webapp_read_config() function to find where these are
- # defined.
- dodir "${MY_HTDOCSDIR}"
- dodir "${MY_HOSTROOTDIR}"
- dodir "${MY_CGIBINDIR}"
- dodir "${MY_ICONSDIR}"
- dodir "${MY_ERRORSDIR}"
- dodir "${MY_SQLSCRIPTSDIR}"
- dodir "${MY_HOOKSCRIPTSDIR}"
- dodir "${MY_SERVERCONFIGDIR}"
-}
-
-# ==============================================================================
-# EXPORTED FUNCTIONS
-# ==============================================================================
-
-# @FUNCTION: webapp_pkg_setup
-# @DESCRIPTION:
-# The default pkg_setup() for this eclass. This will gather required variables
-# from webapp-config and check if there is an application installed to
-# `${ROOT}/var/www/localhost/htdocs/${PN}/' if USE=vhosts is not set.
-#
-# You need to call this function BEFORE anything else has run in your custom
-# pkg_setup().
-webapp_pkg_setup() {
- debug-print-function $FUNCNAME $*
-
- # to test whether or not the ebuild has correctly called this function
- # we add an empty file to the filesystem
- #
- # we used to just set a variable in the shell script, but we can
- # no longer rely on Portage calling both webapp_pkg_setup() and
- # webapp_src_install() within the same shell process
- touch "${T}/${SETUP_CHECK_FILE}"
-
- # special case - some ebuilds *do* need to overwride the SLOT
- if [[ "${SLOT}+" != "${PVR}+" && "${WEBAPP_MANUAL_SLOT}" != "yes" ]]; then
- die "Set WEBAPP_MANUAL_SLOT=\"yes\" if you need to SLOT manually"
- fi
-
- # pull in the shared configuration file
- G_HOSTNAME="localhost"
- webapp_read_config
-
- local my_dir="${ROOT}${VHOST_ROOT}/${MY_HTDOCSBASE}/${PN}"
-
- # if USE=vhosts is enabled OR no application is installed we're done here
- if ! has vhosts ${IUSE} || use vhosts || [[ ! -d "${my_dir}" ]]; then
- return
- fi
-
- local my_output
- my_output="$(webapp_check_installedat)"
-
- if [[ $? -ne 0 ]]; then
- # okay, whatever is there, it isn't webapp-config-compatible
- echo
- ewarn
- ewarn "You already have something installed in ${my_dir}"
- ewarn
- ewarn "Whatever is in ${my_dir}, it's not"
- ewarn "compatible with webapp-config."
- ewarn
- ewarn "This ebuild may be overwriting important files."
- ewarn
- echo
- ebeep 10
- elif [[ "$(echo ${my_output} | awk '{ print $1 }')" != "${PN}" ]]; then
- echo
- eerror "You already have ${my_output} installed in ${my_dir}"
- eerror
- eerror "I cannot upgrade a different application"
- eerror
- echo
- die "Cannot upgrade contents of ${my_dir}"
- fi
-
-}
-
-# @FUNCTION: webapp_src_install
-# @DESCRIPTION:
-# This is the default src_install(). For now, we just make sure that root owns
-# everything, and that there are no setuid files.
-#
-# You need to call this function AFTER everything else has run in your custom
-# src_install().
-webapp_src_install() {
- debug-print-function $FUNCNAME $*
-
- # to test whether or not the ebuild has correctly called this function
- # we add an empty file to the filesystem
- #
- # we used to just set a variable in the shell script, but we can
- # no longer rely on Portage calling both webapp_src_install() and
- # webapp_pkg_postinst() within the same shell process
- touch "${D}/${MY_APPDIR}/${INSTALL_CHECK_FILE}"
-
- chown -R "${VHOST_DEFAULT_UID}:${VHOST_DEFAULT_GID}" "${D}/"
- chmod -R u-s "${D}/"
- chmod -R g-s "${D}/"
-
- keepdir "${MY_PERSISTDIR}"
- fowners "root:0" "${MY_PERSISTDIR}"
- fperms 755 "${MY_PERSISTDIR}"
-}
-
-# @FUNCTION: webapp_pkg_postinst
-# @DESCRIPTION:
-# The default pkg_postinst() for this eclass. This installs the web application to
-# `${ROOT}/var/www/localhost/htdocs/${PN}/' if USE=vhosts is not set. Otherwise
-# display a short notice how to install this application with webapp-config.
-#
-# You need to call this function AFTER everything else has run in your custom
-# pkg_postinst().
-webapp_pkg_postinst() {
- debug-print-function $FUNCNAME $*
-
- webapp_read_config
-
- # sanity checks, to catch bugs in the ebuild
- if [[ ! -f "${ROOT}${MY_APPDIR}/${INSTALL_CHECK_FILE}" ]]; then
- eerror
- eerror "This ebuild did not call webapp_src_install() at the end"
- eerror "of the src_install() function"
- eerror
- eerror "Please log a bug on http://bugs.gentoo.org"
- eerror
- eerror "You should use emerge -C to remove this package, as the"
- eerror "installation is incomplete"
- eerror
- die "Ebuild did not call webapp_src_install() - report to http://bugs.gentoo.org"
- fi
-
- if has vhosts ${IUSE}; then
- if ! use vhosts; then
- echo
- elog "vhosts USE flag not set - auto-installing using webapp-config"
-
- G_HOSTNAME="localhost"
- webapp_read_config
-
- local my_mode=-I
- webapp_getinstalltype
-
- if [[ "${IS_REPLACE}" == "1" ]]; then
- elog "${PN}-${PVR} is already installed - replacing"
- my_mode=-I
- elif [[ "${IS_UPGRADE}" == "1" ]]; then
- elog "${REMOVE_PKG} is already installed - upgrading"
- my_mode=-U
- else
- elog "${PN}-${PVR} is not installed - using install mode"
- fi
-
- my_cmd="${WEBAPP_CONFIG} ${my_mode} -h localhost -u root -d ${INSTALL_DIR} ${PN} ${PVR}"
- elog "Running ${my_cmd}"
- ${my_cmd}
-
- echo
- local cleaner="${WEBAPP_CLEANER} -p -C ${PN}"
- einfo "Running ${cleaner}"
- ${cleaner}
- else
- elog
- elog "The 'vhosts' USE flag is switched ON"
- elog "This means that Portage will not automatically run webapp-config to"
- elog "complete the installation."
- elog
- elog "To install ${PN}-${PVR} into a virtual host, run the following command:"
- elog
- elog " webapp-config -I -h <host> -d ${PN} ${PN} ${PVR}"
- elog
- elog "For more details, see the webapp-config(8) man page"
- fi
- else
- elog
- elog "This ebuild does not support the 'vhosts' USE flag."
- elog "This means that Portage will not automatically run webapp-config to"
- elog "complete the installation."
- elog
- elog "To install ${PN}-${PVR} into a virtual host, run the following command:"
- elog
- elog " webapp-config -I -h <host> -d ${PN} ${PN} ${PVR}"
- elog
- elog "For more details, see the webapp-config(8) man page"
- fi
-}
-
-# @FUNCTION: webapp_pkg_prerm
-# @DESCRIPTION:
-# This is the default pkg_prerm() for this eclass. If USE=vhosts is not set
-# remove all installed copies of this web application. Otherwise instruct the
-# user to manually remove those copies. See bug #136959.
-webapp_pkg_prerm() {
- debug-print-function $FUNCNAME $*
-
- local my_output=
- my_output="$(${WEBAPP_CONFIG} --list-installs ${PN} ${PVR})"
- [[ $? -ne 0 ]] && return
-
- local x
- if has vhosts ${IUSE} && ! use vhosts; then
- echo "${my_output}" | while read x; do
- if [[ -f "${x}"/.webapp ]]; then
- . "${x}"/.webapp
- if [[ -n "${WEB_HOSTNAME}" && -n "${WEB_INSTALLDIR}" ]]; then
- ${WEBAPP_CONFIG} -C -h ${WEB_HOSTNAME} -d ${WEB_INSTALLDIR} ${PN} ${PVR}
- fi
- else
- ewarn "Cannot find file ${x}/.webapp"
- fi
- done
- elif [[ "${my_output}" != "" ]]; then
- echo
- ewarn
- ewarn "Don't forget to use webapp-config to remove any copies of"
- ewarn "${PN}-${PVR} installed in"
- ewarn
-
- echo "${my_output}" | while read x; do
- if [[ -f "${x}"/.webapp ]]; then
- ewarn " ${x}"
- else
- ewarn "Cannot find file ${x}/.webapp"
- fi
- done
-
- ewarn
- echo
- fi
-}